<?php

namespace App\Controller\Member;

class AjaxController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        if (!\Request::ajax()) {
            throw new \Symfony\Component\HttpKernel\Exception\MethodNotAllowedHttpException(['ajax']);
        }

        $this->config = config('member');
    }

    /**
     * 收藏 - 新增
     */
    public function favor_add()
    {
        $mid = \Session::get('mid');
        $result = '';

        if (!empty($mid)) {
            $id = \DB::table($this->config['favor_table'])->where([['pid', \Request::input('pid')], ['mid', $mid]])->value('id');

            if (!empty($id)) {
                $result = 'already';
            } else {
                \DB::table($this->config['favor_table'])->insert(['mid' => $mid, 'pid' => \Request::input('pid')]);

                $result = 'success';
            }
        } else {
            \Session::put('return_path', \Request::input('return_path', 'product'));
            $result = 'need_login';
        }

        return \JsonResponse::create(['result' => $result])->send();
    }

    /**
     * 收藏 - 新增&刪除
     */
    public function favor_add_and_del()
    {
        $mid = \Session::get('mid');
        $do = '';

        if (!empty($mid)) {
            $id = \DB::table($this->config['favor_table'])->where([['pid', \Request::input('pid')], ['mid', $mid]])->value('id');

            if (!empty($id)) {
                \DB::table($this->config['favor_table'])->where('id', $id)->delete();
                $do = 'remove';
            } else {
                \DB::table($this->config['favor_table'])->insert(['mid' => $mid, 'pid' => \Request::input('pid')]);

                $do = 'add';
            }
        } else {
            \Session::put('return_path', \Request::input('return_path', 'product'));
            $do = 'need_login';
        }

        return \JsonResponse::create(['do' => $do])->send();
    }

    /**
     * 收藏 - 刪除
     */
    public function favor_del()
    {
        $mid = \Session::get('mid');
        $message = ['success' => '', 'error' => ''];

        $id = \DB::table($this->config['favor_table'])->where([['pid', \Request::input('pid')], ['mid', $mid]])->value('id');

        if (\DB::table($this->config['favor_table'])->where('id', $id)->delete()) {
            $message['success'] = '刪除成功';
        } else {
            $message['error'] = '刪除失敗';
        }

        return \JsonResponse::create($message)->send();
    }

    /**
     * 取得收藏資料
     */
    public function favor_get()
    {
        $mid = \Session::get('mid');
        $page = \Request::input('page', 1);
        $page_show = 9;

        // 收藏清單
        $favor_pids = \DB::table($this->config['favor_table'])->where('mid', $mid)->pluck('pid');
        empty($favor_pids) and $favor_pids = [0];

        //******************************************************************************
        $product = \DB::table(config('product.table'))
                      ->whereIn('id', $favor_pids)
                      ->where([['act', 1], ['del', 0]])
                      ->orderBy('no', 'desc')
                      ->orderBy('id', 'asc')
                      ->paginate($page_show, ['*'], 'page', $page)
                      ->withPath(base_path("{$this->config['link_tag']}/favorite"));

        //******************************************************************************

        $html = \View::make("{$this->config['folder']}.favorite.data", compact('product'))->render();

        return \JsonResponse::create(['html' => $html])->send();
    }
}