<?php

namespace App\Controller\Member;

use App\Service\OrderService;

class DataController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        $this->config = config('member');
    }

    /**
     * 首頁
     */
    // public function index()
    // {
    //     $view = \View::make("web.{$this->config['folder']}.index")->render();

    //     return \Response::create($view)->send();
    // }

    /**
     * 更新資料頁面
     */
    public function index()
    {
        $mid = \Session::get('mid');

        $member = \DB::table($this->config['table'])->where('id', $mid)->first();

        $view = \View::make("web.{$this->config['folder']}.index", compact('member'))->render();

        return \Response::create($view)->send();
    }

    /**
     * 更新資料
     */
    public function upd()
    {
        if (\Session::get('validate.path.member-upd') != 'pass') {
            return back()->withErrors('請重新操作 (Please re-operate)')->send();
        }

        $mid = \Session::get('mid');

        if (
            \DB::table($this->config['table'])->where('id', $mid)->update(\Request::except('_token', '_method', 'account', 'password', 'level'))
        ) {
			return back()->with('message', lang('member.upd.check.upd.success'))->send();
		} else {
			return back()->withErrors(lang('member.upd.check.upd.fail'))->send();
		}
    }

    /**
     * 更新密碼頁面
     */
    public function show_upd_pw()
    {
        $mid = \Session::get('mid');

        $view = \View::make("web.{$this->config['folder']}.password")->render();

        return \Response::create($view)->send();
    }

    /**
     * 更新密碼
     */
    public function upd_pw()
    {
        if (\Session::get('validate.path.member-updpw') != 'pass') {
            return back()->withErrors('請重新操作 (Please re-operate)')->send();
        }

        $mid = \Session::get('mid');

        $member = \DB::table($this->config['table'])->where('id', $mid)->first();

        if (\Hash::check(\Request::input('old_password'), $member['password'])) {

            $new_password = \Hash::make(\Request::input('password'));

            if (\DB::table($this->config['table'])->where('id', $mid)->update(['password' => $new_password])) {
				return back()->with('message', lang('member.upd.check.upd_pw.success'))->send();
			} else {
				return back()->withErrors(lang('member.upd.check.upd_pw.fail'))->send();
			}
		} else {
			return back()->withErrors(lang('member.upd.check.upd_pw.old_pw'))->send();
		}
    }
 
}