<?php

namespace App\Controller\Member;

class ForgetPasswordController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        $this->config = config('member');
    }

    /**
     * 首頁
     */
    public function index()
    {
        $view = \View::make("web.{$this->config['folder']}.forget")->render();

        return \Response::create($view)->send();
    }

    /**
     * 寄信
     */
    public function send_mail()
    {
        $account = \Request::input('account');

        $member = \DB::table($this->config['table'])->where([['account', $account], ['del', 0]])->first();

        if (empty($member)) {
            return back()->withErrors(lang('member.forget.check.empty'))->send();
        }

        $new_pw = rand(100000, 999999);

        if (
            \DB::table($this->config['table'])->where('id', $member['id'])->update(['password' => \Hash::make($new_pw)])
        ) {

            /******* 寄送信件 ********/

            $To = $member['account'];

            \Mail::send('emails.forget_pw' . KEY_SUFFIX_LANG, ['member' => $member, 'new_pw' => $new_pw], function ($message) use ($To) {
                $message->to($To)->subject(config('system.web_title') . " - " . lang('member.forget.mail-subject'));
            });

            if (empty(\Mail::failures())) {
				return back()->with('message', lang('member.forget.check.mail-success'))->send();
			} else {
				return back()->withErrors(lang('member.forget.check.mail-fail'))->send();
            }

            /******* 寄送信件 ********/

        } else {
            return back()->withErrors(lang('member.forget.check.change-fail'))->send();
        }
    }
}