<?php

namespace App\Controller\Member;

class LoginController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        $this->config = config('member');
    }

    /**
     * 首頁
     */
    public function index()
    {
        $view = \View::make("web.{$this->config['folder']}.login")->render();

        return \Response::create($view)->send();
    }

    /**
     * 登入 api
     */
    public function login_api($name = '')
    {
        // if(\Session::get('validate.path.member-login-api') != 'pass') {
        //     return back()->withErrors('請重新操作 (Please re-operate)')->send();
        // }

        switch ($name) {
            case 'fb':
                return \Socialite::driver('facebook')->redirect()->send();
                break;

            case 'google':
                return \Socialite::driver('google')->redirect()->send();
                break;

            default:

                break;
        }
    }

    /**
     * 登入
     */
    public function login()
    {
        // if(\Request::input('captcha') != \Session::get('captcha')) {
        //     return back()->withErrors('驗證碼輸入錯誤')->send();
        // }

        $member = \DB::table($this->config['table'])->where([['account', \Request::input('account')], ['del', 0]])->first();

        if (empty($member)) {
            return back()->withErrors(lang('member.login.check.empty'))->send();
        }

        if (\Hash::check(\Request::input('password'), $member['password'])) {

        	\Session::put('m_check', \Crypt::encrypt($member['id']));
            \Session::put('mid', $member['id']);

           	// 記住我
            if (\Request::has('remember')) {
            	$remember_token = md5(uniqid(rand(), true));

		        if (\DB::table($this->config['table'])->where('id', $member['id'])->update(['remember_token' => $remember_token])) {
            		$remember_data = $member['id'] . '|' . $remember_token;
            		$cookie = \Cookie::make('remember_me', \Crypt::encrypt($remember_data), 60 * 24 * 7);
		        }
            }

            $url = \Session::has('return_path') ? \Session::get('return_path') : "{$this->config['link_tag']}/index";

            if (isset($cookie)) {
            	return redirect($url)->with('message', lang('member.login.check.success'))->withCookie($cookie)->send();
            } else {
            	return redirect($url)->with('message', lang('member.login.check.success'))->send();
            }
        } else {
            return back()->withErrors(lang('member.login.check.error-pw'))->send();
        }
    }

    /**
     * 登出
     */
    public function logout()
    {
    	\Session::forget('m_check');
        \Session::forget('mid');
        \Session::forget('cart');
        \Session::forget('order');

        $cookie = \Cookie::forget('remember_me');

        return redirect("index")->with('message', lang('member.logout.success'))->withCookie($cookie)->send();
    }
}