<?php

namespace App\Controller\Web;

class ContactController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        $this->config = config('contact');
    }

    /**
     * 首頁
     */
    public function index()
    {
    	$subject = \DB::table($this->config['subject_table'])->where([['del', 0]])->orderBy('no', 'desc')->orderBy('id', 'asc')->get();

        $view = \View::make("web.{$this->config['folder']}" , compact('subject'))->render();

        return \Response::create($view)->send();
    }

    /**
     * 新增
     */
    public function add()
    {
    	// 驗證碼
        // $rule = $this->config['captcha_rule'];
        // $rule_message = $this->config['captcha_rule_message' . KEY_SUFFIX_LANG];
        // validate($rule, $rule_message);

    	// google機器人驗證
        // $rule = $this->config['g-recaptcha-response_rule'];
        // $rule_message = $this->config['g-recaptcha-response_rule_message' . KEY_SUFFIX_LANG];
        // validate($rule, $rule_message);

        if (\Session::get('validate.path.contact') != 'pass') {
            return back()->withErrors('請重新操作 (Please re-operate)')->send();
        }

        $var = [
            'name' => \Request::input('company').' '.\Request::input('name') . ' ' . \Request::input('sex'),
            'info' =>
            	"公司名稱：" . \Request::input('company') . "\n" .
				"聯絡人：" . \Request::input('name') . ' ' . \Request::input('sex') . "\n" .
				"聯絡電話：" . \Request::input('tel') . "\n" .
				"E-mail：" . \Request::input('email') . "\n" .
				"詢問項目：" . \Request::input('subject') . "\n" .
				"詢問內容：\n" . \Request::input('info'),

			// 'column_store' => json_encode(\Request::except('_token', 'upload_file', 'g-recaptcha-response')),
        ];

        \DB::table($this->config['table'])->insert($var);

        /******* 寄送信件 ********/

        $To = config('mail.to');

        \Mail::send("emails.{$this->config['folder']}", ['info' => $var['info']], function ($message) use ($To) {
            $message->to($To)->subject("這是來自" . config('system.web_title') . "的信件");
        });

        // if(\Mail::failures()) {
        //     return back()->withErrors(lang('contact.send_mail_fail'))->send();
        // }

        /******* 寄送信件 ********/

        return back()->with('message', lang('contact.process_msg'))->send();
    }
}