<?php

namespace App\Controller\Web;

class IndexController
{
    /**
     * 首頁
     */
    public function index()
    {
        
    	// Banner
        $banner = \DB::table(config('banner.table'))
		             ->where([['act', 1], ['del', 0]])
		             ->orderBy('no', 'desc')
		             ->orderBy('id', 'asc')
		             ->get();

		// Partner
        $partner = \DB::table(config('partner.table'))
		             ->where([['act', 1], ['del', 0]])
		             ->orderBy('no', 'desc')
		             ->orderBy('id', 'asc')
		             ->limit(6)
		             ->get();


        $view = \View::make('web.index' , compact('banner' , 'partner') )->render();

        return \Response::create($view)->send();
    }

	/**
     * 合作夥伴
     */
    public function partner()
    {       
    	
        $partner = \DB::table(config('partner.table'))
		             ->where([['act', 1], ['del', 0]])
		             ->orderBy('no', 'desc')
		             ->orderBy('id', 'asc')
		             ->get();


        $view = \View::make('web.partner' , compact('partner') )->render();

        return \Response::create($view)->send();
    }   

	/**
     * 學術&職訓單位
     */
    public function academic()
    {       
    	
        $academic = \DB::table(config('academic.table'))
		             ->where([['act', 1], ['del', 0]])
		             ->orderBy('no', 'desc')
		             ->orderBy('id', 'asc')
		             ->get()
		             ->groupBy('class_id')
		             ->toArray();

        $view = \View::make('web.training.academic' , compact('academic') )->render();

        return \Response::create($view)->send();
    }        


}