<?php

namespace App\Middleware;

class IfNotMember
{
    public function handle()
    {
    	// 記住我檢查
    	if (!\Session::has('mid') && !empty(\Cookie::get('remember_me'))) {
    		try {
	    		list($remember_mid, $remember_token) = explode('|', \Crypt::decrypt(\Cookie::get('remember_me')));

	    		if (\DB::table(config('member.table'))->where([['id', $remember_mid], ['remember_token', $remember_token], ['del', 0]])->exists()) {
		        	\Session::put('m_check', \Crypt::encrypt($remember_mid));
		            \Session::put('mid', $remember_mid);
	    		}
	     	} catch (\Throwable $e) {
	     		//
	    	}
    	}

        if (!\Session::has('mid')) {
            if(\Request::ajax() === false) {
                \Session::put('return_path', \Request::input('return_path', \Str::after(\Session::get('previous_url'), base_path())));

                return redirect('member/login')->withErrors(lang('member.login.check.need'))->send();
            } else {
                \Session::put('return_path', \Request::input('return_path', \Str::after(\Session::get('previous_url'), base_path())));

                \JsonResponse::create(['error' => lang('member.login.check.need'), 'location' => base_path('member/login')], 403)->send();
                exit;
            }
        } else {
            \Session::put('return_path', null);
        }

        try {
	        if (!\Session::has('m_check') || \Crypt::decrypt(\Session::get('m_check')) != \Session::get('mid')) {
	            // 註銷登入資訊
	            \Session::forget('mid');
	            \Session::forget('m_check');

	          	return redirect('member/login')->withErrors(lang('member.login.check.re'))->send();
	        }
     	} catch (\Throwable $e) {
            // 註銷登入資訊
            \Session::forget('mid');
            \Session::forget('m_check');

     		return redirect('member/login')->withErrors(lang('member.login.check.re'))->send();
    	}

        $member = \DB::table(config('member.table'))->where([['id', \Session::get('mid')], ['del', 0]])->first();

        // 檢查資料是否存在
        if (empty($member)) {
            // 註銷登入資訊
            \Session::forget('mid');
            \Session::forget('m_check');

            return redirect('member/login')->withErrors(lang('member.login.check.no-data'))->send();
        }

        // 檢查黑名單
        if ($member['block'] == 1) {
            // 註銷登入資訊
            \Session::forget('mid');
            \Session::forget('m_check');

            return redirect('member/login')->withErrors(lang('member.login.check.block'))->send();
        }

        return 'success';
    }
}