<?php

// 多語言判斷
if (Request::ajax() === false) {
	if (\Str::contains(Request::path(), 'admin')) {
		$suffix = BACK_DB_LANG;
	} else {
		$suffix = DB_LANG;
	}
} else {
	if (\Str::contains(Session::get('previous_url'), 'admin')) {
		$suffix = BACK_DB_LANG;
	} else {
		$suffix = DB_LANG;
	}
}

$table = 'member' . $suffix;

return [
	'config'   => 'member',
	'folder'   => 'member',
	'link_tag' => 'member',

	'table'           => $table,
	'favor_table'     => $table.'_favor', 		// 收藏資料表
	'point_table'     => $table.'_point', 		// 點數資料表
	'point_set_table' => $table.'_point_set', 	// 點數設定資料表

	'page_title' => '會員管理' . BACK_TITLE_CHAR,
	'col_title'  => '會員',

	'page_show'  => 10,		// 資料每頁顯示比數

	// 控制
	// 'confirm_set' => 1,		// 驗證 驗證信啟用

	'level_set'     => 0,
	'sex_set'       => 1,  // 性別
	'birthday_set'  => 0,  // 生日
	'tel_set'       => 1,  // 聯絡電話
	'cel_set'       => 0,  // 手機號碼
	'fax_set'       => 0,  // 傳真
	'email_set'     => 0,  // 備用EE-mail
	'nick_name_set' => 0,  // 暱稱
	'line_set'      => 0,  // LINE ID
	'skype_set'     => 0,  // skype
	'address_set'   => 0,  // 地址
	'last5_set'     => 0,  // 匯款帳號後5碼

	'level' => [
		1 => '一般',
	],
	// 'level_en' => [
	// 	1 => '一般',
	// ],

    'sex' => [
    	1 => '先生',
    	2 => '小姐',
    ],
  //   'sex_en' => [
		// 1 => 'Mister',
		// 2 => 'Miss',
  //   ],

	//-------------驗證規則區-------------
	'rule' => [
		'account'   => [
			'required_if:action,add',
			'email',
			Rule::unique($table)->where(function($query) {
				return $query->where([['del', 0]]);
			}),
		],
		'password'   => 'required_if:action,add|min:6',
		'confirm_pw' => 'required_if:action,add|same:password',
		'name'       => 'required',
		'company'    => 'required',		
		// 'sex'        => 'required',
		// 'birthday'   => 'required',
		'tel'        => ['required'],
		'serial'     => ['required' , 'regex:/^[0-9]{8}$/'],
		// 'cel'        => ['required', 'regex:/^09[0-9]{8}$/'],
		// 'country'    => 'required',
		// 'town'       => 'required',
		// 'address'    => 'required',
		// 'last5'      => 'required|size:5',
	],

	'rule_message' => [
		'account.required_if'    => '電子郵件 尚未填寫',
		'account.email'          => '電子郵件 Email不符合格式',
		'account.unique'         => '此帳號已被使用！',
		'password.required_if'   => '密碼 尚未填寫',
		'password.min'           => '密碼最少 :min 個字符',
		'confirm_pw.required_if' => '確認密碼 尚未填寫',
		'confirm_pw.same'        => '兩次輸入的密碼不同',
		'name.required'          => '姓名 尚未填寫',
		'company.required'       => '公司名稱 尚未填寫',
		'serial.required'        => '公司統編 尚未填寫',
		'serial.regex'           => '統編 格式錯誤',		
		'sex.required'           => '性別 尚未選擇',
		'birthday.required'      => '生日 尚未填寫',
		'tel.required'           => '公司電話 尚未填寫',	
		'cel.required'           => '手機號碼 尚未填寫',
		'cel.regex'              => '手機號碼 只允許數字、10碼、09開頭',
		'country.required'       => '地址未選擇縣市',
		'town.required'          => '地址未選擇區域',
		'address.required'       => '詳細地址未填寫',
		'last5.required'         => '匯款帳號後五碼 尚未填寫',
		'last5.size'             => '匯款帳號為五個字符',
	],
	// 'rule_message_en' => [
	// 	'account.required_if'    => 'Please enter [Account].',
	// 	'account.email'          => '[Account] is incorrect.',
	// 	'account.unique'         => 'This Account has been used!',
	// 	'password.required_if'   => 'Please enter [Password].',
	// 	'password.min'           => 'Password minimum :min characters',
	// 	'confirm_pw.required_if' => 'Please enter [Confirm Password].',
	// 	'confirm_pw.same'        => 'The Password entered twice is different',
	// 	'name.required'          => 'Please enter [Name].',
	// 	'sex.required'           => 'Please select [Gender].',
	// 	'birthday.required'      => 'Please select [Birthday].',
	// 	'tel.required'           => 'Please enter [Tel].',
	// 	'cel.required'           => 'Please enter [Mobile phone].',
	// 	'cel.regex'              => 'Mobile phone number only allowed digits, 10 digits, starting with 09',
	// 	'country.required'       => 'Please select [Address Country].',
	// 	'town.required'          => 'Please select [Address Town].',
	// 	'address.required'       => 'Please enter [Address].',
	// 	'last5.required'         => '匯款帳號後五碼 尚未填寫',
	// 	'last5.size'             => '匯款帳號為五個字符',
	// ],

	'upd_pw_rule' => [
		'old_password' => 'filled',
		'password'     => 'required|min:6',
		'confirm_pw'   => 'required|same:password',
	],

	'upd_pw_rule_message' => [
		'old_password.filled' => '原始密碼 尚未填寫',
		'password.required'   => '新密碼 尚未填寫',
		'password.min'        => '新密碼最少 :min 個字符',
		'confirm_pw.required' => '確認新密碼尚未填寫',
		'confirm_pw.same'     => '兩次輸入的新密碼不同',
	],
	// 'upd_pw_rule_message_en' => [
	// 	'old_password.filled' => 'Please select [Old Password].',
	// 	'password.required'   => 'Please select [New Password].',
	// 	'password.min'        => 'New Password minimum :min characters',
	// 	'confirm_pw.required' => 'Please enter [Confirm Password].',
	// 	'confirm_pw.same'     => 'The New Password entered twice is different',
	// ],
	//-------------------------------------
];