@extends('admin.layout.layout')

@push('style')

@endpush

@push('script')
    <script type="text/javascript">
	    $(function(){
	 	    $.datepicker.regional['zh-TW']={
		    dayNames:["星期日","星期一","星期二","星期三","星期四","星期五","星期六"],
		    dayNamesMin:["日","一","二","三","四","五","六"],
		    monthNames:["一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月"],
		    monthNamesShort:["一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月"],
		    prevText:"上月",
		    nextText:"次月",
		    weekHeader:"週"
		   };
		   $.datepicker.setDefaults($.datepicker.regional["zh-TW"]);

		   $("#edit_form input[name=birthday]").datepicker({dateFormat:"yy-mm-dd",showMonthAfterYear:true,changeYear:true,changeMonth:true,yearRange:'-120:+0',}).val("{{ $data['birthday'] }}");

	       country_init('{{ $data['country'] }}', '{{ $data['town'] }}');   //縣市地址
	    });
    </script>
@endpush

@section('content')
<main>
    <h3 class="title">{{ $config['page_title'] }}</h3>
    <div class="notice"></div>
    <div class="path block">@if(empty($data))新增資料 @else 修改資料@endif</div>

	<form method="post" action="" id="edit_form" class="main_form member">
		@if($action == 'upd')
    	@method('patch')
    	@endif
        @csrf
		<input type="hidden" name="action" value="{{ $action }}">

	    <div class="block">
	        <div class="form">

                @adminRow
                    @slot('title') 帳號 @endslot
                    <input placeholder="請輸入E-mail" type="text" name="account" value="{{ $data['account'] }}" class="email" @if($action == 'upd') disabled @endif/>
                @endadminRow

			@if($config['level_set'] == 1)
	            @adminRow
	                @slot('title') 會員類型 @endslot
                	<select name="level">

            		@foreach ($config['level'] as $key => $value)
            			<option value="{{ $key }}" @if($data['level'] == $key) selected @endif>
            				{{ $value }}
            			</option>
            		@endforeach

                	</select>
                @endadminRow
            @endif

			@if($action == 'add')
	            @adminRow
	                @slot('title') 密碼 @endslot
	        	       <input placeholder="最少 6 個字符" type="password" name="password" value="" class="password"/>
	            @endadminRow
	            @adminRow
	                @slot('title') 確認密碼 @endslot
        	        <input placeholder="再次輸入密碼" type="password" name="confirm_pw" value="" class="password"/>
        	    @endadminRow
            @endif

	            @adminRow
	                @slot('title') 姓名 @endslot
        	        <input type="text" name="name" value="{{ $data['name'] }}"/>
	            @endadminRow

            @if($config['birthday_set'] == 1)
	            @adminRow
	                @slot('title') 生日 @endslot
                    <input type="text" name="birthday" value="{{ $data['birthday'] }}" id="birthday" class="date" readonly="readonly" />
	                @endadminRow
            @endif

            @if($config['nick_name_set'] == 1)
	            @adminRow
	                @slot('title') 暱稱 @endslot
        	        <input type="text" name="nick_name" value="{{ $data['nick_name'] }}" />
	            @endadminRow
            @endif

            @if($config['sex_set'] == 1)
	            @adminRow
	                @slot('title') 性別 @endslot
        	        <input type="radio" name="sex" value="1" @if( (isset($data['sex']) && $data['sex'] == 1 ) or empty($data['sex'])) checked @endif /> {{ $config['sex'][1] }}
        	        <input type="radio" name="sex" value="2" @if( (isset($data['sex']) && $data['sex'] == 2 )) checked @endif /> {{ $config['sex'][2] }}
	            @endadminRow
            @endif

            @adminRow
                @slot('title') 公司名稱 @endslot
	           <input type="text" name="company" value="{{ $data['company'] }}" />
	        @endadminRow

	        @adminRow
                @slot('title') 公司統編 @endslot
	           <input type="text" name="serial" value="{{ $data['serial'] }}" />
	        @endadminRow

            @if($config['tel_set']==1)
	            @adminRow
	                @slot('title') 聯絡電話 @endslot
    	           <input type="text" name="tel" value="{{ $data['tel'] }}" class="phone_num" />
	            @endadminRow

	            @adminRow
	                @slot('title') 分機號碼 @endslot
    	           <input type="text" name="ext" value="{{ $data['ext'] }}" />
	            @endadminRow
            @endif

            @if($config['cel_set'] == 1)
	            @adminRow
	                @slot('title') 手機號碼 @endslot
                    <input type="text" name="cel" value="{{ $data['cel']}}" class="phone_num" maxlength="10" />
                @endadminRow
            @endif

         	@if($config['config'] == 1)
	            @adminRow
	                @slot('title') 傳真號碼 @endslot
        	        <input type="text" name="fax" value="{{ $data['fax'] }}" class="phone_num" />
                @endadminRow
           	@endif

            @if($config['line_set'] == 1)
	            @adminRow
	                @slot('title') LINE ID @endslot
        	        <input type="text" name="line" value="{{ $data['line'] }}" class="email" />
                @endadminRow
           	@endif

            @if($config['skype_set'] == 1)
	            @adminRow
	                @slot('title') SKYPE @endslot
        	        <input type="text" name="skype" value="{{ $data['skype'] }}" class="email" />
                @endadminRow
            @endif

           	@if($config['address_set'] == 1)
	            @adminRow
	                @slot('title') 聯絡地址 @endslot
					<select name="country"></select>
					&nbsp;
					<select name="town"><option value=''>請先選擇縣市</option></select>
					&nbsp;
					<input type="text" name="zip" value="{{ $data['zip'] }}" style="width:3em;" readonly="readonly" />
                @endadminRow
	            @adminRow
	                @slot('title') &nbsp; @endslot
        	        <input type="text" name="address" value="{{ $data['address'] }}" class="address" />
                @endadminRow
            @endif

         	@if($config['email_set'] == 1)
	            @adminRow
	                @slot('title') 備用E-mail @endslot
                    <input type="text" name="email" value="{{ $data['email'] }}" class="email" />
                @endadminRow
            @endif

            @if($config['last5_set'] == 1)
	            @adminRow
	                @slot('title') 匯款帳號後5碼 @endslot
        	        <input type="text" name="last5" value="{{ $data['last5'] }}"  maxlength="5" />
                @endadminRow
            @endif

	           <div class="button login">
				@if($action == 'add')
                	<input class="button" value="新增會員" onclick="validate('#edit_form', '{{ $config['config'] }}.rule', '{{ $config['config'] }}.rule_message')" />
                @else
                	<input class="button" value="修改資料" onclick="validate('#edit_form', '{{ $config['config'] }}.rule', '{{ $config['config'] }}.rule_message')" />
                @endif
	           </div>

	        </div>
	    </div>
	</form>

</main>
@endsection