@extends('admin.layout.layout')

@push('style')

@endpush

@push('script')
	{{-- 基礎 data --}}
	<script>
		var $url = '{{ base_path('admin/'. $config['link_tag']) .'/' }}';
	</script>
    <script type="text/javascript">
	$(function(){
		$('.account-status').click(function(){
			var id = $(this).attr('rel');
			upd_block(id);

			if($(this).find('i').is(".fas.fa-lock-open")) {
				$(this).find('i').removeClass('fas fa-lock-open').addClass('fas fa-lock');
			}
			else {
				$(this).find('i').removeClass('fas fa-lock').addClass('fas fa-lock-open');
			}
		});

		$('.account-confirm').click(function(){
			var id = $(this).attr('rel');
			upd_confirm(id);

			if($(this).find('i').is(".fas.fa-video-slash")) {
				$(this).find('i').removeClass('fas fa-video-slash').addClass('fas fa-video');
			}
			else {
				$(this).find('i').removeClass('fas fa-video').addClass('fas fa-video-slash');
			}
		});

	});

	function upd_block($id){
		$.ajax({
			url: $url + 'ajax/upd/' + $id + '/block',
			cache: false,
			dataType: 'json',
			type:'PATCH',
			data: {id:$id},
			error: function(xhr) {},
			success: function(response) {}
		});
	}

	function upd_confirm($id){
		$.ajax({
			url: $url + 'ajax/upd/' + $id + '/confirm',
			cache: false,
			dataType: 'json',
			type:'PATCH',
			data: {id:$id},
			error: function(xhr) {},
			success: function(response) {}
		});
	}

	function give_point_confirm() {
        swal({
            title: "確定要贈點嗎?",
            text: "",
            // icon: "warning",
            buttons: true,
            dangerMode: true,
        })
        .then(function(willDelete) {
            if (willDelete) {
                return $('#give-point-form').submit();
            } else {
                return false;
            }
        });
	}

    </script>
@endpush

@section('content')
<main>
    <h3 class="title">{{ $config['page_title'] }}</h3>
    <div class="notice"></div>
    <div class="block list">
		<div class="notice show" style="padding:5px 0px;">
			<a class="s-button"><i class="fas fa-edit"></i></a> 修改/檢視資料 &nbsp;&nbsp;
			<a class="s-button"><i class="fas fa-key"></i></a> 會員密碼更改 &nbsp;&nbsp;
			<a class="s-button"><i class="fas fa-lock-open"></i></a> 可登入  &nbsp;&nbsp;
			<a class="s-button"><i class="fas fa-lock"></i></a> 禁止登入 &nbsp;&nbsp;
			<a class="s-button"><i class="fas fa-video"></i></a> 審核通過 &nbsp;&nbsp;
			<a class="s-button"><i class="fas fa-video-slash"></i></a> 審核未通過 &nbsp;&nbsp;
			<a class="s-button"><i class="far fa-trash-alt"></i></a> 刪除資料 &nbsp;&nbsp;

			{{-- <a class="s-button"><i class="far fa-money-bill-alt"></i></a> 會員點數 --}}
		</div>

		<a href="{{ url('admin/'. $config['link_tag'], ['id' => 0]) }}" class="button">新增會員</a>

{{-- 		<form action="{{ url('admin/'. $config['link_tag'] . '/excel', ['action' => 'import_add']) }}" class="import_form" id="import_form" method="post" enctype="multipart/form-data" style="display: inline-block;">
			@csrf
			<input type="file" name="upload" value="">
			&nbsp;
			<input type="button" value="Excel匯入" class="button" onclick="$('#import_form').submit();"/>
		</form>

        <br> --}}

		{{-- <a href="{{ url('admin/'. $config['link_tag'] .'/excel', ['action' => 'download_all']) }}" class="button">Excel匯出</a> --}}
		{{-- <a href="javascript:;" class="button" onclick="$('#give-point-form').attr('action', '{{ url('admin/'. $config['link_tag'] . '/give_point', ['action' => 'all_member']) }}'); give_point_confirm();">全體會員贈點</a> --}}

		{{-- 贈點 --}}
{{-- 		<form id="give-point-form" action="" method="POST" style="display: none;" >
			@csrf
			<input type="hidden" name="mid" value="0">
		</form>	 --}}

        <form method="post" action="{{ url('admin/'. $config['link_tag'] .'/del') }}" id="form1" class="list_form">
            @method('delete')
            @csrf

            <div class="t">
 				<ul>
					<li>搜尋</li>
					<li>
						<input type="text" name="search_account" value="{{ Request::query('search_account', '') }}" placeholder="搜尋帳號/信箱" class="search" />
						<input type="text" name="search_created_at" value="{{ Request::query('search_created_at', '') }}" placeholder="搜尋加入日期" class="search" />
						<input type="text" name="search_name" value="{{ Request::query('search_name', '') }}" placeholder="搜尋姓名" class="search" />
					</li>
				</ul>
            </div>

            <div class="t">
                <ul class="head">
                    <li class="del">選擇全部<input type="checkbox" name="all" value="1" onclick="checkall('.del_d')" /></li>
					<li class="name">帳號/信箱</li>

					@if($config['level_set'] == 1)
						<li class="name">會員類型</li>
					@endif

					<li class="datetime">加入日期</li>
					<li class="name">姓名</li>
					{{-- <li>持有點數</li>	 --}}
					<li class="upd">修改資料</li>
                </ul>

                @forelse ($data as $value)
                    <ul>
                        <li><input type="checkbox" name="id[]" value="{{ $value['id'] }}" class="del_d" /> </li>
                        <li>{{ $value['account'] }}</li>

                        @if($config['level_set'] == 1)
                    		<li>{{ $config['level'][$value['level']] ?? '一般' }}</li>
						@endif

						<li class="datetime">{{ $value['created_at'] }}</li>
						<li>{{ $value['name'] }}</li>
						{{-- <li>{{ $value['point'] }}</li> --}}
                        <li>
                            <a href="{{ url('admin/'. $config['link_tag'], ['id' => $value['id']]) }}" class="s-button">
                            	<i class="fas fa-edit"></i>
                            </a>
                            <a href="{{ url('admin/'. $config['link_tag'] .'/upd_pw', ['id' => $value['id']]) }}" class="s-button">
                            	<i class="fas fa-key"></i>
                            </a>
                            <a rel="{{ $value['id'] }}" class="account-status s-button">
                            	@if($value['block'] == 0)
                            		<i class="fas fa-lock-open"></i>
                            	@else
                            		<i class="fas fa-lock"></i>
                            	@endif
                            </a>

                            <a rel="{{ $value['id'] }}" class="account-confirm s-button">
                            	@if($value['confirm'] == 0)
                            		<i class="fas fa-video-slash"></i>
                            	@else
                            		<i class="fas fa-video"></i>
                            	@endif
                            </a>
{{--
							<a href="javascript:;" class="s-button" onclick="$('#give-point-form').attr('action', '{{ url('admin/'. $config['link_tag'] . '/give_point', ['action' => 'unit_member']) }}'); $('#give-point-form input[name=mid]').val({{ $value['id'] }}); give_point_confirm();" >
                            	<i class="fas fa-plus"></i>
                            </a> --}}
							{{-- <a href="{{ url('admin/'. $config['link_tag'] .'/point', ['mid' => $value['id']])}}" class="s-button"><i class="far fa-money-bill-alt"></i></a> --}}

                            <a href="javascript:;" class="s-button" onclick="$('#delete-form').attr('action', '{{ url('admin/'. $config['link_tag'], ['id' => $value['id']]) }}'); delete_form_confirm('#delete-form');">
                            	<i class="far fa-trash-alt"></i>
                            </a>
                        </li>
                    </ul>
                @empty
               		<div>暫無任何資料</div>
               	@endforelse
            </div>
            @adminPaginate(['data' => $data])
                <input type="button" name="del" value="刪除資料" class="button" onclick="delete_form_confirm('.list_form');" />
            @endadminPaginate
        </form>
    </div>
</main>
@endsection