@php
    // 產品分類
$p_category = [
	'a' => [
		'name' => '高速擺線車削',
        'img' => '_img/product/intro/category/01.jpg',
        'path' => 'product/1',        
	],
	'b' => [
		'name' => '高速擺線銑削',
        'img' => '_img/product/intro/category/02.jpg',
        'path' => 'product/2',
	],
	'c' => [
		'name' => '銑床2-5軸',
        'img' => '_img/product/intro/category/03.jpg',
        'path' => 'product/3',
		'category' => [
			'a' => [
                'name' => '概述',
                'path' => 'product/3',
			],
			'b' => [
                'name' => '2.5軸',
                'path' => 'product/3/1',
            ],
            'c' => [
                'name' => '4軸',
                'path' => 'product/3/2',
            ],
            'd' => [
                'name' => '3軸',
                'path' => 'product/3/3',
            ],
            'e' => [
                'name' => '5軸',
                'path' => 'product/3/4',
            ],
        ],
	],
	'd' => [
		'name' => '走刀車銑複合',
        'img' => '_img/product/intro/category/04.jpg',
        'path' => 'product/4',
        'category' => [
			'a' => [
                'name' => '車床',
                'path' => 'product/4',
			],
			'b' => [
                'name' => 'MillTurn 走刀車銑',
                'path' => 'product/4/1',
            ],
            'c' => [
                'name' => 'C+Y+B+五軸曲面',
                'path' => 'product/4/2',
            ],
        ],
	],
	'e' => [
		'name' => '走心車銑複合',
        'img' => '_img/product/intro/category/05.jpg',
        'path' => 'product/5',
        'category' => [
			'a' => [
                'name' => 'SwissTurn 走心車銑',
                'path' => 'product/5',
			],
			'b' => [
                'name' => 'C+Y+B+五軸曲面',
                'path' => 'product/5/1',
            ],
        ],
	],
	'f' => [
		'name' => '線切割2-6軸',
        'img' => '_img/product/intro/category/06.jpg',
        'path' => 'product/6',
	],
	'g' => [
		'name' => '機上量測',
        'img' => '_img/product/intro/category/07.jpg',
        'path' => 'product/7',
	],
	'h' => [
		'name' => '金屬積層成型',
        'img' => '_img/product/intro/category/08.jpg',
        'path' => 'product/8',
	],
	'i' => [
		'name' => 'KBM的好處',
        'img' => '_img/product/intro/category/09.jpg',
        'path' => 'product/9',
	],

];
@endphp

{{-- 手機選單 --}}
@if ($tag == 'nav_mobile')
    @foreach ($p_category as $element)
    <li>
        <a href="{{ base_path() }}{{ $element['path'] }}">{{ $element['name'] }}</a>
        @if (!empty($element['category']))
        <ul>
            @foreach ($element['category'] as $item)
            <li><a href="{{ base_path() }}{{ $item['path'] }}">{{ $item['name']}}</a></li>
            @endforeach
        </ul>
        @endif
    </li>
    @endforeach    
@endif

{{-- 電腦選單 --}}
@if ($tag == 'nav_desk')
    @foreach ($p_category as $element)
        @if (!empty($element['category']))
        <div class="category">
            <a href="{{ base_path() }}{{ $element['path'] }}" class="dropdown-item">{{ $element['name'] }}</a>
            <i class="fas fa-angle-right text-primary dropdown-toggle" data-toggle="dropdown"></i>
            <div class="dropdown-menu-2 dropdown-menu">
                @foreach ($element['category'] as $item)
                <a href="{{ base_path() }}{{ $item['path'] }}" class="dropdown-item">{{ $item['name'] }}</a>
                @endforeach
            </div>
        </div>
        @else
        <a href="{{ base_path() }}{{ $element['path'] }}" class="dropdown-item">{{ $element['name'] }}</a>
        @endif
    @endforeach
@endif

@if ($tag == 'index_slider')
    @foreach ($p_category as $element)
    <div class="swiper-slide">
        <a href="{{ base_path() }}{{ $element['path'] }}" class="content">
            <div class="image">
                <img src="{{ resources_path() }}{{ $element['img'] }}" alt="">
            </div>
            <div class="p-name">{{ $element['name'] }}</div>
        </a>
    </div>
    @endforeach
@endif

@if ($tag == 'product_intro')

<section id="product-intro" class="py-3 overflow-y-h">
    <div class="container">
        <div class="intro-p-category row">
            @foreach ($p_category as $element)
            <div class="category-item col-md-4 col-10 mx-auto mx-md-0 my-2 ani" data-ani="fadeInUp">
                <a href="{{ base_path() }}{{ $element['path'] }}" class="content d-block position-relative">
                    <div class="img-row">
                        <img src="{{ resources_path() }}{{ $element['img'] }}" alt="">
                    </div>
                    <div class="txt-row">
                        <div class="p-name">{{ $element['name'] }}</div>
                    </div>
                </a>
            </div>
            @endforeach
        </div>
    </div>
</section>
@endif

@if ($tag == 'product_footer')
<section id="product-footer" class="py-8" style="background-image: url({{ resources_path() }}{{ $bg }})">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 text-white text-center ani" data-ani="bounceIn">
                <div class="title fs-40 font-weight-bold mb-4">想了解更多嗎？</div>
                <div class="sub-title fs-20">
                    與我們聯繫，了解ESPRIT如何幫助您提升機器利用率，從而省去時間成本
                </div>
                <a href="{{ base_path() }}contact" class="btn btn-primary mt-5">聯絡我們</a>
            </div>
        </div>
    </div>
</section>
@endif