@extends('web.includes.layout',[
'title' => '工業4.0 - ',
'main_id' => 'industry',
])


@push('head')

@endpush
@push('script')

<script>
    $('.industry-item:even .txt-row , .industry-item:odd .img-row').attr('data-ani','fadeInRight');
    $('.industry-item:odd .txt-row , .industry-item:even .img-row').attr('data-ani','fadeInLeft');
</script>

@endpush


@section('main')

<div id="inner-banner" class="position-relative d-flex align-items-center justify-content-center" style="background-image: url({{ resources_path() }}_img/solution/industry/banner.jpg)">
    <div class="banner-txt text-center text-white container">
        <div class="t1 fs-50 font-weight-bold">An Industry 4.0</div>
        <div class="t2 fs-36 font-weight-bold">Smart manufacturing platform<br>工業4.0智能製造平台</div>
    </div>
</div>
<div id="bread" class="container py-2">
    <ul class="bread-list row no-gutters">
        <div class="bread-item col-auto"><a href="{{ base_path() }}">首頁</a></div>
        <div class="bread-item col-auto"><a href="#">解決方案</a></div>
        <div class="bread-item col-auto"><a href="{{ base_path(Request::path())}}">工業4.0</a></div>
    </ul>
</div>

<article>
    <section id="industry-section1" class="py-5">
        <div class="container">
            <div class="industry-list row">
                <div class="industry-item col-12 mb-5">
                    <div class="row">
                        <div class="txt-row col-md-6 ani" data-ani="">
                            <div class="title mb-3 fs-30 font-weight-bold text-primary">您的工作現場的數位分身</div>
                            <div class="text text-c4 line-height-1-8">
                                ESPRIT機台數位分身提供您的CNC機台編程，最佳化路徑和模擬切削。設定工件與刀具，並進行精確的模擬，產生優化的刀具路徑，以生產更高品質的零件並提高生產效率，ESPRIT可以預先模擬任何可能在CNC機台切削發生的情況。
                            </div>
                        </div>
                        <div class="img-row col-md-6 my-3 my-md-0 ani" data-ani="">
                            <img src="{{ resources_path() }}_img/solution/industry/01.jpg" alt="">
                        </div>
                    </div>
                </div>
                <div class="industry-item col-12 mb-5">
                    <div class="row">
                        <div class="txt-row col-md-6 ani" data-ani="">
                            <div class="title mb-3 fs-30 font-weight-bold text-primary">分立製造的數位串聯</div>
                            <div class="text text-c4 line-height-1-8">
                                使用ESPRIT的數位串聯將工作流程的每個步驟整合在一起，確保整個製造流程是連貫的。ESPRIT從CAD軟體讀取零件數據，產生加工最佳化的NC代碼和加工報告。它將這些數據傳遞到工廠管理，工具數據管理和製造資源規劃軟體。簡單的說ESPRIT單一檔案能夠整合CAD圖檔，刀具，工法，工單，模擬給各相關單位進行管理。
                            </div>
                        </div>
                        <div class="img-row col-md-6 my-3 my-md-0 ani" data-ani="">
                            <img src="{{ resources_path() }}_img/solution/industry/02.jpg" alt="">
                        </div>
                    </div>
                </div>
                <div class="industry-item col-12 mb-5">
                    <div class="row">
                        <div class="txt-row col-md-6 ani" data-ani="">
                            <div class="title mb-3 fs-30 font-weight-bold text-primary">機器意識</div>
                            <div class="text text-c4 line-height-1-8">
                                具機器意識的CAM編程，代表了刀具路徑產生基本的變化，從而延長刀具壽命，縮短了加工循環時間並提高機台稼動率。與傳統的CAM軟體不同，ESPRIT具備對機器運動學和動力學的意識可應用於機台設定，編程，優化和模擬。有了機台意識，CAM工程師就可以更好地選擇刀具路徑，從而提高了整體加工性能，縮短加工時間。
                            </div>
                        </div>
                        <div class="img-row col-md-6 my-3 my-md-0 ani" data-ani="">
                            <img src="{{ resources_path() }}_img/solution/industry/03.jpg" alt="">
                        </div>
                    </div>
                </div>
                <div class="industry-item col-12 mb-5">
                    <div class="row">
                        <div class="txt-row col-md-6 ani" data-ani="">
                            <div class="title mb-3 fs-30 font-weight-bold text-primary">人工智能（AI）</div>
                            <div class="text text-c4 line-height-1-8">
                                通過ESPRIT的KBM智慧型切削技術資料庫數據，自動為零件特徵選擇最佳切削工藝 - 加工循環，切削刀具和加工條件，從而簡化了零件編程。當編程更具可預測性與一致性時，將機台操作人員的問題減到最低，並且機器會生產出更高品質的零件。
                            </div>
                        </div>
                        <div class="img-row col-md-6 my-3 my-md-0 ani" data-ani="">
                            <img src="{{ resources_path() }}_img/solution/industry/04.jpg" alt="">
                        </div>
                    </div>
                </div>
                <div class="industry-item col-12 mb-5">
                    <div class="row">
                        <div class="txt-row col-md-6 ani" data-ani="">
                            <div class="title mb-3 fs-30 font-weight-bold text-primary">雲端數據庫</div>
                            <div class="text text-c4 line-height-1-8">
                                MachiningCloud雲端刀具資料庫(www.machiningcloud.com)，便於取得相關知識，產品數據，資源和機台，掌握切削工具與工件的製程。這些雲端數據庫提供刀具製造商推薦的加工條件，並不斷更新製造商產品數據，以改進編程和模擬。
                            </div>
                        </div>
                        <div class="img-row col-md-6 my-3 my-md-0 ani" data-ani="">
                            <img src="{{ resources_path() }}_img/solution/industry/05.jpg" alt="">
                        </div>
                    </div>
                </div>
                <div class="industry-item col-12 mb-5">
                    <div class="row">
                        <div class="txt-row col-md-6 ani" data-ani="">
                            <div class="title mb-3 fs-30 font-weight-bold text-primary">金屬積層成型製造</div>
                            <div class="text text-c4 line-height-1-8">
                                ESPRIT Additive模組驅動3D金屬粉床熔融系統和直接金屬積層成型機台。這個強大的模組可對積層製造過程進行全面的控制，並提供優化的工作檔案。用於金屬積層成型機台，ESPRIT支援輸出混合加法和減法的NC程式。對於專用的積層機台，ESPRIT的專利技術提供一個從Part-to-Build™的工作流程，是從CAD圖檔到3D零件列印快速構建的。
                            </div>
                        </div>
                        <div class="img-row col-md-6 my-3 my-md-0 ani" data-ani="">
                            <img src="{{ resources_path() }}_img/solution/industry/06.jpg" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="industry-section2" class="py-5">
        <div class="container">
            <div class="row mb-5">
                <div class="col-12">
                    <div class="title ls-title font-weight-bold fs-30 text-center">產品影片</div>
                </div>
            </div>
            <div class="row ani" data-ani="fadeIn">
                <div class="col-12">
                    <div class="embed-responsive embed-responsive-16by9 mx-auto" style="max-width: 560px">
                        <iframe class="embed-responsive-item" width="560" height="315" src="https://www.youtube.com/embed/8kJnP6SILBM" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                    </div>
                </div>
            </div>
        </div>
    </section>
</article>






@endsection