@extends('web.includes.layout',[
'title' => '產品資訊 - ESPRIT簡介',
'main_id' => 'product',
])


@push('head')

@endpush
@push('script')


@endpush


@section('main')

<div id="inner-banner2" class="position-relative d-flex align-items-center justify-content-center" style="background-image: url({{ resources_path() }}_img/product/intro/banner.jpg)">
    <div class="banner-txt text-center text-white container">
        <div class="t2 fs-36 font-weight-bold">高效能的CNC編程.省時省力.隨心所欲</div>
    </div>
</div>
<div class="top-text bg-primary">
    <div id="bread" class="container py-2">
        <ul class="bread-list row no-gutters">
            <div class="bread-item col-auto"><a href="{{ base_path() }}">首頁</a></div>
            <div class="bread-item col-auto"><a href="#">產品資訊</a></div>
            <div class="bread-item col-auto"><a href="{{ base_path(Request::path())}}">ESPRIT簡介</a></div>
        </ul>
    </div>
    <div class="container pb-5">
        <div class="row">
            <div class="col-12 overflow-y-h">
                <div class="text fs-18 text-white line-height-1-8 ani" data-ani="fadeInUp">
                    <div class="title fs-18">ESPRIT 簡介</div>
                    <div class="txt">
                        ESPRIT®是一套專為CNC編程、製程優化和實體模擬的高效能全方位CAM系統-通過一個通用的使用者介面和工作流程滿足各類型的CNC機床。<br>
                        ESPRIT使用數值控制的數位分身簡化了編程過程，提供免編輯的G、M代碼。結合ESPRIT的能力及通過量身定制的自動化解決方案讓您具備解決工作流程各式挑戰的能力，ESPRIT是適用於任何加工應用的智能製造解決方案。<br><br>
                        
                        藉助世界一流的技術支持，ESPRIT讓您能夠快速上手並保持最高效率的營運。ESPRIT是您不可或缺的全方位CAM系統。
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<article>
    <section id="intro-section1" class="py-5 over-flow-y-h">
        <div class="container">
            <div class="row my-4 ani" data-ani="fadeInUp">
                <div class="col-12">
                    <div class="bg-primary2 py-5">
                        <div class="row">
                            <div class="col-11 mx-auto">
                                <div class="title ls-title fs-30 font-weight-bold text-primary mb-4">加工製程自動化</div>
                                <div class="text line-height-1-8">
                                    通過使用ESPRIT API構建的客製自動化解決方案和應用程序解決了現場各式獨特的挑戰。透過API運用ESPRIT的強大功能，可以消除繁雜重複的設定，提供更高程度的自動化，和更便利的數據輸入和輸出。
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row flex-lg-nowrap my-4 ani align-items-stretch" data-ani="fadeInUp">
                <div class="col-lg-auto flex-fill">
                    <div class="bg-primary2 h-100 p-5">
                        <div class="title ls-title fs-30 font-weight-bold text-primary mb-4">工具機廠家認證的機台數位分身</div>
                        <div class="text line-height-1-8">
                            使用ESPRIT的機台數位分身-機器模擬，控制器模擬，機器參數和後處理器-該系統可提供準確的模擬和加工優化的NC代碼。使用認證後的後處理器可以產生不需要手動編輯的NC程式，並能對應廠內各種CNC加工機台。
                        </div>
                    </div>
                </div>
                <div class="col-lg-auto">
                    <img src="{{ resources_path() }}_img/product/intro/img01.jpg" alt="" class="w-100">
                </div>
            </div>
            <div class="row my-4 ani" data-ani="fadeInUp">
                <div class="col-12"><img src="{{ resources_path() }}_img/product/intro/img02.jpg" alt=""></div>
            </div>
            <div class="row my-4 ani" data-ani="fadeInUp">
                <div class="col-12">
                    <div class="bg-primary2 py-5">
                        <div class="row">
                            <div class="col-11 mx-auto">
                                <div class="title ls-title fs-30 font-weight-bold text-primary mb-4">全球性的技術支持</div>
                                <div class="text line-height-1-8">
                                    全球培訓，諮詢和編程服務可幫助您快速導入軟體。全職專業的ESPRIT應用工程師將確保您始終以最高效率運行。我們的專家不僅限於軟體教學與售後服務，還必須了解您的工作流程需求與各式CNC機台特性。
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="intro-section2" class="py-5 text-white bg-c2 overflow-y-h">
        <div class="container">
            <div class="row">
                <div class="col-12 ani" data-ani="bounceIn">
                    <div class="title ls-title fs-30 font-weight-bold mb-4">我們的產品</div>
                    <div class="text line-height-1-8">
                        ESPRIT支持各種可能的CNC機床配置，涵蓋從大型龍門機床到小型走心式車床的各種機床類型，從2軸到5軸的加工過程，以及從醫療到航空航天的市場。
                        <br>
                        <br>
                        <ul class="dot-list2 mx-4">
                            <li>2至5軸銑削</li>
                            <li>2至22軸車削</li>
                            <li>2至5軸線切割</li>
                            <li>多系統走心式，走刀式和B軸複合式加工機</li>
                            <li>高速同動的3軸，4軸和5軸加工路徑</li>
                            <li>機上量測</li>
                            <li>金屬積層成型製造</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>

    @include('web.includes.product', ['tag' => 'product_intro'])

    @include('web.includes.product', ['tag' => 'product_footer','bg' => '_img/product/intro/footer_bg.jpg'])
</article>






@endsection