@extends('web.includes.layout',[
'title' => '技術分享 - '.$technology_class[$level_1_class_id]['name'] .'|'. $technology_class[$level_2_class_id]['name'] ,
'main_id' => 'tech',
])


@push('head')

@endpush
@push('script')

@endpush


@section('main')

<div id="inner-banner" class="position-relative d-flex align-items-center justify-content-center" style="background-image: url({{ resources_path() }}_img/technology/banner.jpg)">
    <div class="banner-txt text-center text-white container">
        <div class="t1 fs-50 font-weight-bold">Q&A技術分享</div>
        <div class="t2 fs-36 font-weight-bold">瀏覽各種加工技術案例</div>
    </div>
</div>
<div id="bread" class="container py-2">
    <ul class="bread-list row no-gutters">
        <div class="bread-item col-auto"><a href="{{ base_path() }}">首頁</a></div>
        <div class="bread-item col-auto"><a href="#">技術分享</a></div>
        
        @if(!empty($level_1_class_id))
        <div class="bread-item col-auto"><a href="{{ base_path() }}technology/{{ $level_1_class_id }}">{{ $technology_class[$level_1_class_id]['name'] }}</a></div>
        @endif

        @if(!empty($level_2_class_id))
        <div class="bread-item col-auto"><a href="{{ base_path() }}technology/{{ $level_1_class_id }}/{{ $level_2_class['id'] }}">{{ $technology_class[$level_2_class_id]['name'] }}</a></div>
        @endif
    </ul>
</div>

<article>
    <section id="tech-category--search" class="py-4">
        <div class="container">
            <div class="row">
                <div class="tech-category col-12 mb-3">
                    <div class="category-list row">
                        @forelse( (array)$technology_class_tree[0] as $element)
                        <div class="category-item col-auto @if($level_1_class_id == $element['id']) active @endif">
                            <a href="{{ base_path() }}technology/{{ $element['id'] }}" class="btn btn-outline-c4">{{ $element['name'] }}</a>
                        </div>
                        @empty
                        @endforelse
                    </div>
                </div>
            </div>
            <div class="row flex-row-reverse justify-content-between align-items-center">
                <div class="tech-search col-md-auto mb-3">
                    <div class="search-btn">
                    	<form method="get" action="{{ base_path() }}technology/search" id="search-form">
                    	@csrf
	                        <input type="text" name="keyword" class="form-control" placeholder="搜尋">
	                        <i class="far fa-search fs-20" onclick="$('#search-form').submit();"></i>
                    	</form>
                    </div>
                </div>
                <div class="tech-category col-md-auto mb-3">
                	@if(!empty($level_1_class_id))
                    <div class="category-list row">
                    	@forelse( (array)$technology_class_tree[$level_1_class_id] as $class )
                        <div class="category-item col-auto @if($level_2_class_id == $class['id']) active @endif">
                            <a href="{{ base_path() }}technology/{{ $level_1_class_id }}/{{ $class['id'] }}" class="btn btn-outline-c4">{{ $class['name'] }}</a>
                        </div>
                        @empty
                        @endforelse
                    </div>
                    @endif
                </div>
            </div>
        </div>
    </section>
    <section id="tech-list" class="pb-5">
        <div class="container">
            <div class="tech-list row">
                {{-- 圖片600*270 --}}
                @forelse ($data as $element)
                <div class="tech-item col-12 mb-4">
                    <a href="{{ base_path() }}technology/{{ $level_1_class_id }}/{{ $element['class_id'] }}/{{ $element['id'] }}" class="content">
                        <div class="row no-gutters flex-row-reverse">
                            <div class="img-row col-md-6">
                                <img src="{{ storage_path($element['pic']) }}" alt="" class="object-fit">
                            </div>
                            <div class="txt-row col-md-6 bg-primary2 text-c2">
                                <div class="category text-primary">{{ $technology_class[$element['class_id']]['name'] }}</div>
                                <div class="date mt-1 mb-3">{{ date("m-d-Y",strtotime($element['date'])) }}</div>
                                <div class="title fs-20 font-weight-bold">{{ $element['name'] }}</div>
                            </div>
                        </div>
                    </a>
                </div>     
                @empty
                @endforelse
            </div>
            <div class="row mt-5">
                <div class="col-12">
                    <div id="pages">
                        
                        @include('web.includes.page')

                    </div>
                </div>
            </div>
        </div>
    </section>
</article>






@endsection