@extends('web.includes.layout',[
'title' => '鉅偉公司培訓 - ',
'main_id' => 'company',
])


@push('head')

@endpush
@push('script')

<script>
    var svgHover = document.querySelectorAll('.hover');
    var infoList = $('.map-list');
    infoList.hide();
    infoList.eq(0).show();

    svgHover.forEach( e => e.addEventListener('click' , function(){
        var thisId = this.id;
        infoList.hide();
        $('#' + thisId + '-show').fadeIn();
        for (i = 0 ; i < svgHover.length; i ++) {
            svgHover[i].classList.remove('active');
        }
        this.classList.add('active');
    }));

    // 手機版

    var timer

    $(window).resize(function(){

        window.clearTimeout(timer)

        timer = window.setTimeout(function() {
            var w = $(window).width();
            if( w < 992) {
                svgHover.forEach( e => e.addEventListener('click' , function(){
                    var thisId = this.id;
                    
                    $(window).scrollTo( $('#' + thisId + '-show').fadeIn(), 1000 , {offset: { top:- headerH - 50 } });
                }));
            }
        }, 100)
    })
</script>

@endpush


@section('main')

<div id="inner-banner" class="position-relative d-flex align-items-center justify-content-center" style="background-image: url({{ resources_path() }}_img/solution/training/company/banner.jpg)">
    <div class="banner-txt text-center text-white container">
        <div class="t1 fs-50 font-weight-bold">鉅偉公司培訓</div>
        <div class="t2 fs-36 font-weight-bold">培養新世代智能製造專業人才</div>
    </div>
</div>
<div id="bread" class="container py-2">
    <ul class="bread-list row no-gutters">
        <div class="bread-item col-auto"><a href="{{ base_path() }}">首頁</a></div>
        <div class="bread-item col-auto"><a href="#">解決方案</a></div>
        <div class="bread-item col-auto"><a href="#">教育訓練</a></div>
        <div class="bread-item col-auto"><a href="{{ base_path(Request::path())}}">鉅偉公司培訓</a></div>
    </ul>
</div>

<article>
    <section id="company1" class="py-5 overflow-y-h">
        <div class="container overflow-y-h">
            <div class="row my-4 ani align-items-stretch flex-row-reverse flex-lg-nowrap" data-ani="fadeInUp">
                <div class="col-lg-auto flex-fill">
                    <div class="bg-primary2 h-100 p-5 d-flex align-items-center">
                        <div class="text">
                            <div class="line-height-1-8">
                                客制化教學與練習並重 + 教育訓練影片<br>
                                課程教學軟體以現行最新版本為基準(提供鉅偉或客戶端教學)<br>
                                使用客戶端現有的版本教學(含隨機版，客戶端教學)
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-auto">
                    <img src="{{ resources_path() }}_img/solution/training/company/img01.jpg" alt="" class="w-100">
                </div>
            </div>
            <div class="row my-4 ani align-items-stretch flex-lg-nowrap" data-ani="fadeInUp">
                <div class="col-lg-auto flex-fill">
                    <div class="bg-primary2 h-100 p-5 d-flex align-items-center">
                        <div class="text">
                            <div class="line-height-1-8">
                                隨機版功能若無法支援試做工件，需要使用目前最新版本完成，由技術單位評估與討論後，酌情協助或提供報價，此費用不包含在標準課程中
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-auto">
                    <img src="{{ resources_path() }}_img/solution/training/company/img02.jpg" alt="" class="w-100">
                </div>
            </div>
            <div class="row my-4 ani align-items-stretch flex-row-reverse flex-lg-nowrap" data-ani="fadeInUp">
                <div class="col-lg-auto flex-fill">
                    <div class="bg-primary2 h-100 p-5 d-flex align-items-center">
                        <div class="text">
                            <div class="line-height-1-8">
                                鉅偉直接販售客戶享有：購買後提供年度電話，E-mail、Line、Teamviewer 等線上即時技術諮詢服務。
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-auto">
                    <img src="{{ resources_path() }}_img/solution/training/company/img03.jpg" alt="" class="w-100">
                </div>
            </div>
        </div>
    </section>
    <section id="company-location" class="py-5">
        <div class="container">
            <div class="row">
                <div class="col-12 text-center">
                    <div class="title">
                        {{-- <img src="{{ resources_path() }}_img/solution/training/company/icon01.svg" alt="" class="mx-auto"> --}}
                        <div class="t1 fs-20 font-weight-bold my-3">訓練中心據點</div>
                        <div class="t2">
                            關於ESPRIT CAM各模組教育訓練內容，<br>
                            請洽鉅偉各區訓練中心
                        </div>
                    </div>
                </div>
            </div>
            <div class="map-row row mt-5">
                <div class="col-11 mx-auto">
                    <div class="row flex-row-reverse">
                        <div class="map col-lg-6">
                            <svg xmlns="http://www.w3.org/2000/svg" width="310.75" height="428.581" viewBox="0 0 310.75 428.581" class="mx-auto d-block">
                                <g id="taiwan-svg" transform="translate(-773 -1871)">
                                    <g id="taiwan" transform="translate(512.303 1824.664)">
                                        <path id="Chiayi_City" data-name="Chiayi City" d="M441.782,476.987l-2.824-.638-2.7-1.733-2.343-.935-.335-2.167,1.443-1.574,3.578-.615,3.033-.274,2.155.821,1.569.844.941,1.528.983,2.623-1.15.844-1.737.228Z" transform="translate(-28.385 -171.815)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Kaohsiung_City" data-name="Kaohsiung City" d="M480.469,481.206l-1.611-2.235-2.238-.866-1.684-.4-7.123,3.635-3.242,2.6-1.38,2.622-1.632,1.937-2.95,1.663-3.075,2.347-1.715,2.05-4.728,2.825-2.259.227-2.636-.273-1.381,1.366-.062,1.89.565,1.754.376,2.549v.006l-.879,2.544-4.016,5.826-3.849,6.551-2.489,3.206-2.866,2.8L427.1,527.9l-2.364,2.477-2.03,2.7-1.15,2.022-.92,2.112-2.427,1.7-2.49,1-1.36,1-1.61.567-3.243-.386-3.18.341-6.024-.863-1.841-.931-1.527-3.339-.052-.17-2.373,1.421.816,5.248.3.742,1.087,1.886.222.894.511.5.494.367.214.491-.132.925L397.445,550l-.041,1.126.4,1.742,1.779,3.921,1.886,2.947,1.03,2.192.585,2.223-.436,1.58-.832,1.772.626,1.816,1.334,1.638,3.476,3.212,2.043,2.328.65,1.231v0l.815,1.546.577,2.822-4.909-5.931,4.662,6.612,5.024,3.927.824-.022.708-.263.618-.035.988.429,3.132-7.884-.147-3.171-1.067-2.878.063-2.742,2.176-8.162.042-3.651-.209-2.7,1-3.04.5-2.769.669-1.861,6.861.408,3.075-1.09,2.447-2.724,3.619-1.726,5.041,2.543,2.552-2.271,2.782-.681,2.908,3.406,2.259,2.134,3.284-2.588,1.653-.091,2.008.363.021,0,1.486-.179-.481-1.907-2.364-2.452-1.151-1.772-.523-3.134.9-3.748,3.284-2.8,1.653-2.25.021-4.319,1.171-5.071-.836-3.822.335-2.64L470.26,510l1.025-1.888-.858-2.3.335-2.208,2.991-1.935,1.527-1.5,2.489-1.572,6.014-1.475-.136-.962-1.067-2.939-2.447-1.982L478,489.845l-.377-1.527.523-1.23,2.154-.958,1.151-1.915-.732-2.237Z" transform="translate(-10.171 -175.851)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Pingtung" d="M476.3,602.331l-2.908-3.406-2.782.681-2.552,2.271-5.041-2.543-3.619,1.726-2.447,2.724-3.075,1.089-6.861-.408-.669,1.861-.5,2.769-1,3.041.209,2.7L445,618.486l-2.176,8.162-.062,2.742,1.067,2.878.147,3.171-3.132,7.884.141.061.857.544,1.845,1.617,1.746,1.2,3.854,1.844,1.688,1.1.247.513.371,1.434.42.294.42.138,1.252.721,3.13,2.472.775,1.1,1.68,3.793,2.133,2.644.634,1.086,7.659,19.877-.214,1.16-.939,1.36-.223,1.214v4.132l-.148,1.266-.025.773.173.946,2.125,3.544-.486,2.7.082.9,1.417,1.195,1.309.328.889-.91.124-2.544,3.047.746,3.031,1.367,2.6,1.98,1.746,2.619.123-2.277-.543-3.516-.05-3.224,1.532-1.417,1.293-.951.98-2.3.6-2.821-.33-19.873-1.728.128-3.932-1.808L480.4,666.6l-1.256-2.283-.209-2.329.042-2.193-1.192-1.719-1.318-.634-1.046-1.493.209-1.764.795-1.494,2.05-1.222.962-1.471-1.8-2.15-1-1.924v-2.06l-.4-2.739-.774-2.333-.481-2.514.314-5.664,1.171-2.878,1.423-2.539.921-2.539,2.071-1.723,2.95-.635,1.841-1.043,3.744-1.588.774-1.905.063-2,1.067-5.309-2.134-1.407-2.05-.5-.293-1.861-1.318-2.545-.021,0-2.008-.363-1.653.091-3.285,2.588Z" transform="translate(-31.77 -232.363)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Tainan_City" data-name="Tainan City" d="M423.439,511.187l-1.736-1.343-.606-1.754.669-5.465-.376-2.893-3.808-3.9-.669-1.96-.795-1.618-1.548-.935-2.761-.912-3.264.182-5.857,1.094-2.991,1.345-2.364,1.755-1.8,1.846-2.552,1.983-2.217,1.367L389.8,501.9l-2.406,1.071-2.782-.706-3.41-.5L379.185,501l-.611,1.565,1.436.96-.989.251-.609.664-1.3,3.452-.181.865.187.882-.876,1.014-.535,1.431-.358,1.136.527,1.237.313,1.51-.511.976-1.046.35-.964.547-.263,1.541,1.079,1.236,1.639,1.414.3,1.012-3.014.027v.752l3.6.9.552.6-.4,1.164-1.186.381-1.433.193-1.128.586-.453.891-.255,1.316.28,1.333,1.12.967,1.054-.278.716-1.114.881-.792,1.565.68.313.944-.19,2.7.5.859,1.276.053.684-1.033.4-1.3.47-.716,2.437.349.412,2.018-1.021,2.335-1.828,1.3,1.5,1.512.7,1.4.37,2.415h0l2.373-1.422.052.17,1.527,3.339,1.841.931,6.024.863,3.18-.341,3.243.386,1.61-.568,1.36-1,2.49-1,2.427-1.7.92-2.112L412.54,539l2.03-2.7,2.364-2.477,2.49-2.068,2.866-2.8,2.489-3.206,3.849-6.551,4.016-5.826.879-2.544-3.222-.37-1.423-.432-1.924.25-2.071.933Z" transform="translate(0 -181.774)" fill="#cf0a2c" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Hsinchu_City" data-name="Hsinchu City" d="M538.031,205.6l.868-2.182,1.329-1.659,2.244-.921,1.992-.337.9-.521.377-1.417-.712-1.411-1.49-1.475-2.081-1.107-5.805-1.844-3.2-1.385h0l-.667.708-.577,1.144.42.862.256.708.016.653-.28.6-.84,1.148-2.141,4.377-.431,1.577,0,0,2.646,1.031,1.632,1,1.046,1.457,1.684.676,1.773-.429.073-.09Z" transform="translate(-72.503 -42.349)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Hsinchu" d="M541.94,170.789h0l-.791,1.267-.865,2.348-.255,1.131.083.472-.972.331-1.021.831-.8,1.1L537,179.394l-.231,1.48-.576.858-.024.03,3.2,1.385,5.805,1.844,2.081,1.107,1.49,1.475.711,1.411-.377,1.417-.9.521-1.992.337-2.244.921-1.329,1.659-.868,2.182-.957,1.168,1.71,4.263,1.485,1.718,2.311,1.72,4.686,2.209,1.475,1.289.3,2.025-.136,1.5-.3,1.32-.377,1.213.377,1.118.366,1.518-.476,1.794-.35,1.948,1.574.382,2.96-.813,2.62-.17,1.83.184,4.838-1.227,1.924,1.535.508,1.7,1.276,1.242,1.747,3,.246,1.876.3-.21,4.069-.382,1.087.293,1.674-4.03,5.387-5.454,1.443-2.239-.22-1.687.518-1.826.895-2.5-1.841-.828-2.8-1.593-1.548-1.108-2.134-.365-2.384-1.43-1.967-1.516-.219-1.675,1.778-2.5.722-2.979-.607-2.8-.136-1.935-1.318-1.014-1.674-.829-1-1.751-1.307-1.351-1.48.124-1.47-.277-1.208-1.2-1.606-1.167-2.521-.8-1.328-1.429.434-2.26-1.381-1.6-2.636-.859-1.574-.752-1.663-.479-1.924-.752-1.538-3.339-1.778-1.2-5.246.372Z" transform="translate(-76.21 -32.766)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Yilan" d="M678.72,162.395l-.3-.43-1.281-.727-2.29.479-3.232,1.725-1.412.937-4.294.877-.544,1.139.963,1.367-.628,1.462-1.767,1.124-1.355.476-1.423.752L659.9,173.16l-1.187,1.937-1.94,1.384-2.385.738-5.188,3.106-5.021,2.042-1.464.876-1.825,1.535-.737,1.907.052,1.6.392,1.227.162.783-1.5,1.059L636.7,192.6l-1.9,1.336-1.464,1.258-1.883.708-2.223.621-1.182.328-2.066,1.5,1.2,4.787-.868,1.473-1.323.492-1.239-.247-1.506.615-.209.581-.895,2.5-.518,1.826.22,1.687L619.4,214.3l-5.387,5.454-1.674,4.03,1.407.382-.262,2.145.56,1.424,1.893.414,1.69.979,1.433.982,1.506-.232,1.841-.873h1.883l2.244,1.809.962.778,2.5,1.211,5.8,1.47,3.174,1.211,2.516.014,1.9-1.745.895-2.3,1.464-.336,7.123,4.254,4.283.643.418.011-.081-.089-.4-.637.2-.529.387-.511.214-.628.2-2.445.313-1.243.494-.864.445-1.031-.165-2.686.091-1.212,2.71-3.108,2.389-1.388.971-.914-.231-1.077-.651-1.041-.3-1.149.173-.946,2.3-1.308.321-2.173-.519-2.5-1.013-1.929.717-.511,1-.326,1.186-.122,1.252.127V205.1l-2.949-.543-2.5-1.55-1.318-2.4-.074-3.113.544-1.523.074-1.523-1.268-5.957-.1-2.857.206-2.944.584-2.963.9-2.586,1.137-1.852,7.19-8.768,2.124-1.844,4.612-2.283Z" transform="translate(-111.723 -28.313)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Keelung_City" data-name="Keelung City" d="M681.023,127.18l-1.482-.546L678.9,126l-.3-.391-.539-.378,0,0-1.694,1.13-2.761,1.2-1.224.832.22,1.109,1.1,1.421.659,1.352,1.1,1.34,1.412,1.339,1.151.82,4.069,1.7,1.977.254,1.537-.577.973-.716.147-.946L685.3,134l-.063-1.167.114-4.6Z" transform="translate(-139.713 -11.525)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Miaoli" d="M511.325,216.9l-1.046-1.457-1.632-1L506,213.417l0,0-.138.5-1.384.693-.321.707-.708,2.208-1.433,1.45-1.046,1.424.371,2.112-2.768-.526-2.149.566-1.771,1.309-1.614,1.686-.527.942-.437,1.015-.733.815-2.6.77-.593,1.032-.618,2.4-2.273,4.016-.848,2.15-.338,2.539-.716,1.557-2.792,3.1,0,0,3.548,5.484,1.825,1.93,2.416,2.113,5.8,4.285,2.845,1.377,2.51.459,4.461,2.571,4.686-.244,2.009-1.087.335-2.83,2.123-1.268,3.792.287,2.327.933,1.914,2.129,2.092.826,3.4-1.822,2.651-1.085,4.461-3.553,2.26-1.24,1.757-1.7,1.632-1.149,2.05.046,1.873-.781.7-2.159,1.433-1-.245-1.876-1.747-3-1.276-1.242-.508-1.7-1.924-1.535-4.838,1.227-1.83-.184-2.62.17-2.96.813-1.574-.382.35-1.948.476-1.794-.366-1.518-.377-1.118.377-1.213.3-1.32.136-1.5-.3-2.025-1.475-1.289-4.686-2.209-2.311-1.72-1.485-1.718-1.71-4.263-.073.09-1.773.429Z" transform="translate(-50.284 -52.638)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <g id="New_Taipei_City" data-name="New Taipei City" transform="translate(498.038 100.507)">
                                            <path id="路径_104" data-name="路径 104" d="M647.288,113.08l-.412-.487-.033-.842.387-.683.4-.5.05-.341-.84-.232-1.186.137-1.038.287-.453.191-1.384-2.876-3.854-5.441L637.2,101l-4.159-.492-4.241.97-3.7,1.885-2.528,2.29-1.227,2.249-.8,1.984-.3.355-.733.346-.7.582-.338,1.042,1.178.737,2.232,2.261,1.392,2.188-1.334.541-.6-.6-.469-1.06-.725-1.014-1.351-.45-1.17.018-.873.155-.708.355-2.372,1.974-1.828.719-4.332.782h0l1.631,1.775,2.411,1.169,1.825,1.169,1.229,1.109,1.564.369,1.632.863,1.977,2.878.183,1.556-.377,1.616-1.3,1.339-5.021,1.477-1.423,1.552.084,2.385-.418,2.229.418,1.955,2.061,1.966.392,1.969-.523,2.585,1.977,1.1,2.855-.153,1.94.769,3.237,4.748-.559,2.01-1.2,1.443.309,2,.533,2.148,3.441,3.256.947,2.1,2.223-.622,1.883-.708,1.464-1.258,1.9-1.336,2.563-1.244,1.5-1.059-.162-.783-.392-1.227-.052-1.6.737-1.907,1.825-1.535,1.464-.876,5.021-2.043,5.188-3.106,2.385-.738,1.94-1.383L658,144.847l1.255-1.583,1.422-.753,1.354-.476,1.768-1.124.628-1.462-.962-1.367.544-1.139,4.294-.877,1.412-.938,3.232-1.725,2.291-.479,1.281.727.3.43h0l3.344-1.656-.774-.981-1.433-.723-1.623-.436-1.384-.145-2.693.409-.815-.373-1.013-1.563-.939-3.346-.272-2,.173-1.128.626-1.41-1.244-.791-13.315-3.234-.114,4.6.063,1.167,1.422,1.49-.146.947-.973.716-1.538.577-1.977-.254-4.069-1.7-1.151-.82-1.412-1.34-1.1-1.34-.659-1.352-1.1-1.421-.219-1.109,1.224-.832,2.761-1.2,1.695-1.13,0,0Z" transform="translate(-607.505 -100.507)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                            <path id="路径_105" data-name="路径 105" d="M652.468,118.09l.795.832-.209,1.387.157,1.329.6,1.26.648,1.364.952,3.87,1.5,1.328.628,1.709-.628,2.541.073,1.963,1.768.993,1.433,1.224-.764,1.639-2.929,3.693-1.611.669-2.238-.023-1.851-.415-1.412-1.246-1.464-1.673-2.217-1.743-1.527-2.586.607-2.863-.46-2.4-2.217-2.125-1.454-1.629.617-1.144.69-.924.816-1.756,1.37-1.537,4.194-2.5,1.13-.959,1.538-.763Z" transform="translate(-622.952 -108.478)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        </g>
                                        <path id="Taoyuan" d="M585.282,164.78l.523-2.585-.392-1.969-2.06-1.967-.419-1.955.419-2.229-.084-2.386,1.423-1.552,5.021-1.478,1.3-1.339.377-1.616-.183-1.555-1.977-2.878-1.632-.863-1.564-.37-1.229-1.109-1.825-1.169-2.411-1.17-1.631-1.775-7.739,1.4-3.443,1.242-1.729.941-1.425,1.255-1.655,1.037-7.092,2.332-2.767,2.346-2.677,3.19-3.425,5.46,1.226.429,5.246-.372,1.778,1.2,1.538,3.339,1.924.752,1.663.479,1.574.752,2.636.859,1.381,1.6-.434,2.26,1.328,1.43,2.521.8,1.606,1.167,1.208,1.2,1.47.277,1.48-.124,1.307,1.351,1,1.751,1.674.83,1.318,1.014.136,1.935.607,2.8-.722,2.979-1.778,2.5.219,1.675,1.967,1.516,2.384,1.43,2.134.365,1.548,1.108,2.8,1.593,1.841.828.209-.581,1.506-.615,1.24.247,1.323-.492.868-1.473-1.2-4.787,2.066-1.5,1.182-.328-.946-2.1-3.441-3.256-.533-2.148-.309-2,1.2-1.442.559-2.011-3.237-4.748-1.94-.77-2.855.153Z" transform="translate(-81.252 -15.995)" fill="#cf0a2c" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Changhua" d="M451.84,346.24l-2.1-1.374-1.642-.293-.476-1.294-.015-1.526-.769-1.529L445.6,338.3l-1.657-1.375-4.576-1.344-1.726-2.095-.4-2.92-1.025-2.445-1.537-1.345-2.244-.732-4.363,5.1-1.038.989-.346,1.069-.231,3.885L426,338.263l-1.977,1.552-.453,1.064-.239,1.137-.6.559-.84.406-.955.645-1.161,1.159-1.038,1.8-2.224,6.2-1.581,2.983-1.038,2.982-.791,1.1-2.726,2.612-.462,1.144-.626,2.728-.286.549h0l2.923,1.687,8.462-1.006,2.9.154,2.568.7,4.461,1.707,7.588.855,4.681,2.317,2.238-.031,4.613.914.4-.272.9-.612.973-.868,1.48-.594.361-1.358-2.144-1.083-1.5-.549-1.406-1.281-.779-2.424.335-5.156.445-2.546.042-2.183.628-2.089.779-1.74-.219-1.557.471-1.131,1.647-.581-.011-1.386Z" transform="translate(-16.927 -105.146)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <g id="Chiayi" transform="translate(379.185 283.677)">
                                            <path id="路径_106" data-name="路径 106" d="M427.013,447.692l-1.925-2.26-2.029-1.781-2.657.137-4.853.913-2.761.753-6.276,3.63-1.464,1.461-1.715.913-2.678,2.191-2.05.319-.795,1.141L397.162,457l-1.527,1.209-2.322-.023-3.2-1.8-4.058.456-.057.04-.362.022.078,3.356,3.291-.206-1.563,2.029-.346.974-.667.8-.156.66,1.169.575v.754l-.741,1.4,1.606,3.1,1.41,4.016-2.066-.016-1.418.1-.948,2.172.016,1.269.945.044.714.176.852-.616.321,1.22-.544-.179-1.253.559-1.483.1,2.018.762,3.41.5,2.782.706,2.406-1.071.962-1.914,2.217-1.367,2.552-1.982,1.8-1.846,2.364-1.755,2.991-1.345,5.857-1.094,3.263-.182,2.761.912,1.548.935.795,1.618.669,1.96,3.807,3.9.377,2.893-.669,5.465.607,1.753,1.736,1.343,1.443.023,2.071-.933,1.925-.25,1.423.433,3.222.37v-.006l-.377-2.55-.565-1.753.063-1.89,1.381-1.367,2.636.273,2.259-.228,4.728-2.825,1.715-2.05,3.075-2.347,2.95-1.664,1.632-1.937,1.381-2.621,3.242-2.6,7.123-3.634-.345-.083-9.853-.068-2.929-.525-.418-1.483-.146-2.236-1.025-2.51-.481-1.848,1.15-1.986.146-2.031-1.987-1.073-1.59-.457-2.594-1-2.343-.254-.188-.02-.146,1.918V449.5l-1.506.5-4.519.913-2.427.251-.92-1.529-1.82-1.278-3.2.913-1.422.205Z" transform="translate(-384.851 -443.651)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                            <path id="路径_107" data-name="路径 107" d="M438.958,476.348l-2.7-1.733-2.343-.935-.335-2.167,1.443-1.574,3.577-.616,3.033-.274,2.155.821,1.569.844.941,1.528.983,2.623-1.151.844-1.736.228-2.615,1.049Z" transform="translate(-407.569 -455.492)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        </g>
                                        <path id="Hualien" d="M610.006,296.255l-3.174-1.211-5.8-1.47-2.5-1.211-.962-.778-1.783,1.869-.168,1.607-.9,2.373-2.908,1.836-1.156,1.9-.5,1.988-1.172,1.437-1.313.688-.47.78-1.078.769h0l.528,2.414.094,1.391-1.992.931-2.563.857-1.423,1.1.1,3.837,1.1,1.175,2,1.3.57,1.756-.1,1.466-3.085,4.018-1.946,4.106-.92,2.931.806,1.282.68,1.726-.235,2.916-.6,3.827-1.187,3.371-1.475,3.263-.978,2.713-.083,1.435-2.191,3.609.826,1.543,1.213,1.552.46,2.1.361,2.759-.476,3.212-1.224,4.873-.628,1.946-1.716,1.219-2.949,1.067-1.517,1.977-.523,3.286L565,385.617l-2.845.091-2.845.638-2,1.474-.57,1.566-.586,1.021.653,2.386-1.182,1.094-2.322,1.32.732,2.237-1.151,1.915-2.154.958-.523,1.23.377,1.527,2.134,1.39,2.447,1.982,1.067,2.939.136.962.429,2.841,1.945,3.119,2.991,1.093,2.364,1.093,1.924,1.844,2.427.341,2.176.592,3.535,6.166,4.519,3.708,3.159.455,2.49-1.433.356-2.389-.042-2.593,1.213-2.322,1.841-5.1,1.423-2.96.92-3.233,1.046-2.551,1.3-2.005,1.4-2.643-.23-2.643-.649-2.644,1.486-2.1,4.142-2.006,1.345.389v0l4.25-24.67,1.853-3.773,3.089-15.4,2.446-6.574,1.236-6.261.148-2.469.3-1.343,1.408-2.2.42-1.393L615,330.037l-.321-.527-.5-.406-.585-.852-.692-2.016-.074-1.813.568-1.691,2.858-4.187,1.1-4.693,1.079-2.32.964-.93,2.57-1.941.321-.578-.272-.813.569-.759,1.779-1.423,2.413-3.338,2.24-2.187.535-.922-.074-.411-.272-.57-.346-.569-.255-.289v0l-.418-.011-4.283-.643-7.123-4.254-1.464.336-.895,2.3-1.9,1.745Z" transform="translate(-82.756 -89.081)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Nantou" d="M548.962,318.89l-1.81-.413-1.8.123-4.278,1.695-2.4.384-2.38.091-3.4,1.789-1.7.321-1.95,1.1-3.038,2.935-1.925.733-2.552-.046-1.8,1.513-1.009,2.095-1.339.35-3.457-2.568-1.156.733-2.217,2.949-2.317.109-3.9-.567-2.464,1.178-1.423,3.254-2.913,5.544-1.914,1.833-1.616.257-6.919-.976-1.627-.058.011,1.386-1.647.581-.471,1.131.219,1.557-.779,1.74-.628,2.089-.042,2.183-.445,2.546-.335,5.156.779,2.425,1.407,1.281,1.5.549,2.144,1.083-.361,1.358-1.48.594-.973.868-.9.612.732,2.8-.774,1.806-.4,2.765.4,2.947-.732,1.987-.355,2.215,1.527,1.8,2.239.982,2.615-.8,3.18-.342,1,1.367,2.343.254,2.594,1,1.59.457,1.987,1.073-.146,2.031-1.151,1.986.481,1.848,1.025,2.51.146,2.236.418,1.483,2.929.524,9.853.068.345.083,1.684.4,2.238.866,1.611,2.235.251.772,2.322-1.32,1.182-1.094-.653-2.386.586-1.021.57-1.566,2-1.474,2.845-.638,2.845-.091,2.04-1.826.523-3.286,1.516-1.977L540.019,390l1.716-1.219.628-1.946,1.224-4.873.476-3.212-.361-2.759-.46-2.1-1.213-1.552-.826-1.543,2.191-3.609.083-1.435.978-2.713,1.475-3.263,1.187-3.371.6-3.827.235-2.916-.679-1.726-.805-1.282.92-2.931,1.946-4.106,3.085-4.018.1-1.466-.57-1.756-2-1.3-1.1-1.175-.1-3.838,1.422-1.1,2.563-.857,1.992-.931-.094-1.391-.528-2.414Z" transform="translate(-50.747 -101.618)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Taichung_City" data-name="Taichung City" d="M486.6,289.9l-2.51-.459-2.845-1.377-5.8-4.285-2.416-2.113-1.825-1.93-3.548-5.484-5.113,5.674-1.284,2.117-1.087,3.815-3.583,6.218-1.046,4.739-.857,2.466-1.268,1.061-.288,1.269-.239.284,0,0,2.244.732,1.537,1.345,1.025,2.445.4,2.92,1.726,2.095,4.576,1.344,1.657,1.375,1.24,1.925.769,1.529.016,1.526.476,1.294,1.642.293,2.1,1.374.005.538,1.626.058,6.919.976,1.616-.257,1.914-1.833,2.913-5.544,1.423-3.254,2.464-1.178,3.9.567,2.317-.109,2.217-2.949,1.156-.733,3.457,2.568,1.339-.35,1.009-2.095,1.8-1.513,2.552.046,1.925-.733,3.038-2.935,1.951-1.1,1.7-.321,3.4-1.789,2.38-.091,2.4-.384,4.278-1.695,1.8-.123,1.81.413,5.141.476h0l1.078-.769.47-.78,1.313-.688,1.172-1.437.5-1.988,1.156-1.9,2.908-1.836.9-2.373.168-1.607,1.783-1.869-2.244-1.809h-1.883l-1.841.873-1.506.232-1.433-.982-1.69-.979-1.893-.414-.56-1.424.262-2.145-1.407-.382-1.087-.293-4.069.382-.3.21-1.433,1-.7,2.159-1.873.781-2.05-.046-1.632,1.149-1.757,1.7-2.26,1.24-4.461,3.553-2.651,1.085-3.4,1.822-2.092-.826-1.914-2.129-2.327-.933-3.792-.287-2.123,1.268-.335,2.83-2.009,1.087-4.686.244Z" transform="translate(-37.387 -81.002)" fill="#cf0a2c" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Yunlin" d="M398.431,402.561h0l-.324.622-2.15,1.648-.3.585-.4,1.049-2.372,3.137-.486,1.152-.9,3.378-.48,3.862-1.677,2.949-1.075,3.776L388,429.442l.083,6.328-1.764,1.979.362-.022.058-.04,4.058-.456,3.2,1.8,2.322.023,1.527-1.209.649-1.894.795-1.141,2.05-.319,2.678-2.191,1.716-.913,1.464-1.461,6.276-3.63,2.761-.753,4.853-.914,2.657-.137,2.03,1.781,1.924,2.261,4.853,1.78,1.423-.206,3.2-.913,1.82,1.278.921,1.529,2.427-.251,4.519-.913,1.506-.5v-1.324l.146-1.918.188.02-1-1.367-3.18.342-2.615.8-2.239-.982-1.527-1.8.355-2.215.732-1.987-.4-2.947.4-2.765.774-1.806-.732-2.8-.4.272-4.613-.914-2.238.031-4.681-2.317-7.589-.855-4.461-1.707-2.568-.7-2.9-.154-8.462,1.006Z" transform="translate(-6.35 -140.817)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Taitung" d="M570.665,517.595l.379-3.717-.05-3.907.56-4.387.8-2.367,1.013-1.878,2.718-3.623.865-1.875,1.754-10.165-1.345-.389-4.142,2.006-1.486,2.1.649,2.644.23,2.643-1.4,2.643-1.3,2-1.046,2.551-.92,3.233-1.423,2.96-1.841,5.1-1.213,2.322.042,2.593-.356,2.389-2.49,1.433-3.159-.455-4.519-3.708-3.535-6.166-2.176-.592-2.427-.341-1.924-1.844-2.364-1.093-2.991-1.093-1.945-3.119-.429-2.841-6.014,1.475-2.489,1.571-1.527,1.5-2.991,1.935-.335,2.208.858,2.3-1.025,1.889-2.845,1.547-.335,2.64.836,3.822-1.171,5.071-.021,4.319-1.653,2.25-3.284,2.8-.9,3.748.523,3.134,1.151,1.772,2.364,2.452.482,1.907-1.486.179,1.318,2.545.293,1.861,2.05.5,2.134,1.407-1.067,5.309-.063,2-.774,1.905-3.744,1.588-1.841,1.043-2.95.635-2.071,1.723-.921,2.539-1.423,2.539-1.171,2.878-.314,5.664.481,2.514.774,2.333.4,2.74v2.06l1,1.924,1.8,2.15-.962,1.471-2.05,1.222-.795,1.494-.209,1.764,1.046,1.493,1.318.634,1.192,1.719-.042,2.193.209,2.329,1.256,2.283,1.757,1.876L515.9,617.3l1.729-.128-.1-5.638.643-6.2.527-2.191,3.673-6.436,1.845-6.447.724-4.729,1.252-2.3,3.1-3.866,1-1.94,2.01-5.166.815-1.057,1.013-.535,4.167-4.57,6.193-4.134,1.812-1.724,1.829-2.322.824-1.354.478-1.228.066-1.077-.247-2.412.182-1.015,1.268-1.465,5.345-4.532.494-1.046,3.953-5.7.816-2.268,1.136-5.029,1.845-3.249.643-2.233.4-.873.815-.846L568,522.247l.8-.819Z" transform="translate(-61.581 -179.384)" fill="#424242" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                        <path id="Taipei_City" data-name="Taipei City" d="M655.818,143.221l2.928-3.693.764-1.639-1.433-1.223-1.768-.993-.073-1.963.627-2.54-.627-1.709-1.5-1.329-.952-3.87-.649-1.364-.6-1.259-.157-1.329.209-1.387-.8-.832-1.474-.486-1.538.763-1.13.959-4.195,2.5-1.37,1.537-.816,1.756-.69.925-.617,1.143,1.454,1.629,2.217,2.125.46,2.4L643.5,136.2l1.527,2.586,2.217,1.743,1.464,1.673,1.413,1.246,1.851.415,2.238.023Z" transform="translate(-124.604 -7.971)" fill="#cf0a2c" stroke="#f5f5f5" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" />
                                    </g>
                                    <g id="tainan">
                                        <line id="直线_24" data-name="直线 24" x1="125.5" transform="translate(773.5 2162.5)" fill="none" stroke="#707070" stroke-width="1" />
                                        <circle id="椭圆_45" data-name="椭圆 45" cx="5.5" cy="5.5" r="5.5" transform="translate(773 2140)" fill="#cf0a2c" />
                                        <text id="tainan-text" class="hover" transform="translate(832.5 2151)" fill="#4a4d56" font-size="16" font-family="MicrosoftJhengHeiRegular, Microsoft JhengHei" letter-spacing="0.03em">
                                            <tspan x="-40.96" y="0">台南分公司</tspan>
                                        </text>
                                    </g>
                                    <g id="taichung">
                                        <line id="直线_23" data-name="直线 23" x1="117.5" transform="translate(822.5 2039.5)" fill="none" stroke="#707070" stroke-width="1" />
                                        <circle id="椭圆_44" data-name="椭圆 44" cx="5.5" cy="5.5" r="5.5" transform="translate(822 2018)" fill="#cf0a2c" />
                                        <text id="taichung-text" class="hover" transform="translate(881.5 2029)" fill="#4a4d56" font-size="16" font-family="MicrosoftJhengHeiRegular, Microsoft JhengHei" letter-spacing="0.03em">
                                            <tspan x="-40.96" y="0">台中分公司</tspan>
                                        </text>
                                    </g>
                                    <g id="taoyuan-2" data-name="taoyuan">
                                        <line id="直线_22" data-name="直线 22" x1="125" transform="translate(869.5 1954.5)" fill="none" stroke="#707070" stroke-width="1" />
                                        <circle id="椭圆_43" data-name="椭圆 43" cx="5.5" cy="5.5" r="5.5" transform="translate(870 1934)" fill="#cf0a2c" />
                                        <text id="taoyuan-text" class="hover" transform="translate(929.5 1945)" fill="#4a4d56" font-size="16" font-family="MicrosoftJhengHeiRegular, Microsoft JhengHei" letter-spacing="0.03em">
                                            <tspan x="-40.96" y="0">中壢分公司</tspan>
                                        </text>
                                    </g>
                                    <g id="taipei">
                                        <circle id="椭圆_39" data-name="椭圆 39" cx="5.5" cy="5.5" r="5.5" transform="translate(913 1877)" fill="#cf0a2c" />
                                        <text id="taipei-text" class="hover active" transform="translate(972.5 1888)" font-size="16" font-family="MicrosoftJhengHeiRegular, Microsoft JhengHei" letter-spacing="0.03em">
                                            <tspan x="-40.96" y="0">台北總公司</tspan>
                                        </text>
                                        <path id="路径_108" data-name="路径 108" d="M-8996.449-16864.193c27.878-.006,122.96-.1,122.96-.1v44.191" transform="translate(9909 18761)" fill="none" stroke="#707070" stroke-width="1" />
                                    </g>
                                </g>
                            </svg>
                        </div>
                        <div class="map-list-row col-lg-6 pt-5">
                            <div class="bg bg-primary2 shadow">
                                <ul class="map-list" id="taipei-text-show">
                                    <li class="map-item">
                                        <div class="content">
                                            <div class="title fs-20 font-weight-bold text-primary mb-2">台北總公司</div>
                                            <ul class="contact-info-list line-height-1-8">
                                                <li class="info-item">
                                                    地址：<a href="http://maps.google.com.tw/maps?q=台北市瑞安街208巷4號3樓&hl=zh-TW" target="_blank">台北市瑞安街208巷4號3樓</a>
                                                </li>
                                                <li class="info-item">
                                                    電話：<a href="tel:886-2-27092326" target="_blank">886-2-27092326</a>
                                                </li>
                                                <li class="info-item">
                                                    傳真：886-2-27553677
                                                </li>
                                                <li class="info-item">
                                                    Email：<a href="mailto:service@dowellcim.com.tw" target="_blank">service@dowellcim.com.tw</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                                <ul class="map-list" id="taoyuan-text-show">
                                    <li class="map-item">
                                        <div class="content">
                                            <div class="title fs-20 font-weight-bold text-primary mb-2">中壢分公司</div>
                                            <ul class="contact-info-list line-height-1-8">
                                                <li class="info-item">
                                                    地址：<a href="http://maps.google.com.tw/maps?q=中壢市中央西路二段270之1號6樓&hl=zh-TW" target="_blank">中壢市中央西路二段270之1號6樓</a>
                                                </li>
                                                <li class="info-item">
                                                    電話：<a href="tel:886-3-2810010" target="_blank">886-3-2810010</a>
                                                </li>
                                                <li class="info-item">
                                                    傳真：886-3-2810013
                                                </li>
                                                <li class="info-item">
                                                    Email：<a href="mailto:dowell.cl@msa.hinet.net" target="_blank">dowell.cl@msa.hinet.net</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                                <ul class="map-list" id="taichung-text-show">
                                    <li class="map-item">
                                        <div class="content">
                                            <div class="title fs-20 font-weight-bold text-primary mb-2">台中分公司</div>
                                            <ul class="contact-info-list line-height-1-8">
                                                <li class="info-item">
                                                    地址：<a href="http://maps.google.com.tw/maps?q=台中市西屯區福中二路8號6樓之1&hl=zh-TW" target="_blank">台中市西屯區福中二路8號6樓之1</a>
                                                </li>
                                                <li class="info-item">
                                                    電話：<a href="tel:886-4-23581172" target="_blank">886-4-23581172</a>
                                                </li>
                                                <li class="info-item">
                                                    傳真：886-4-23581192
                                                </li>
                                                <li class="info-item">
                                                    Email：<a href="mailto:dowell.tc@msa.hinet.net" target="_blank">dowell.tc@msa.hinet.net</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                                <ul class="map-list" id="tainan-text-show">
                                    <li class="map-item">
                                        <div class="content">
                                            <div class="title fs-20 font-weight-bold text-primary mb-2">台南分公司</div>
                                            <ul class="contact-info-list line-height-1-8">
                                                <li class="info-item">
                                                    地址：<a href="http://maps.google.com.tw/maps?q=台南市北區立賢路一段567號&hl=zh-TW" target="_blank">台南市北區立賢路一段567號</a>
                                                </li>
                                                <li class="info-item">
                                                    電話：<a href="tel:886-6-2510466" target="_blank">886-6-2510466</a>
                                                </li>
                                                <li class="info-item">
                                                    傳真：886-6-2510468
                                                </li>
                                                <li class="info-item">
                                                    Email：<a href="mailto:dowell.tn@dowellcim.com.tw" target="_blank">dowell.tn@dowellcim.com.tw</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</article>






@endsection