@extends('web.includes.layout',[
'title' => '教育培訓 - ',
'main_id' => 'training',
])


@push('head')

@endpush
@push('script')


@endpush


@section('main')

<div id="inner-banner" class="position-relative d-flex align-items-center justify-content-center" style="background-image: url({{ resources_path() }}_img/solution/training/banner.jpg)">
    <div class="banner-txt text-center text-white container">
        <div class="t1 fs-50 font-weight-bold">教育培訓</div>
        <div class="t2 fs-36 font-weight-bold">培養新世代智能製造專業人才</div>
    </div>
</div>
<div class="top-text bg-primary">
    <div id="bread" class="container py-2">
        <ul class="bread-list row no-gutters">
            <div class="bread-item col-auto"><a href="{{ base_path() }}">首頁</a></div>
            <div class="bread-item col-auto"><a href="#">解決方案</a></div>
            <div class="bread-item col-auto"><a href="#">教育訓練</a></div>
            <div class="bread-item col-auto"><a href="{{ base_path(Request::path())}}">教育培訓</a></div>
        </ul>
    </div>
    <div class="container pb-5">
        <div class="row">
            <div class="col-12">
                <div class="text fs-18 text-white line-height-1-8">
                    ESPRIT的教育計劃為廣大使用者學習使用全球最佳CAM軟體，提供多方案的優惠選擇，做為行業的領導者，ESPRIT是學習CAM技能和經驗的理想平台，可廣泛用於全系列CNC機台G代碼编程、CNC加工和CAD/CAM應用。
                </div>
            </div>
        </div>
    </div>
</div>

<article>
    <section id="training1" class="py-5 overflow-y-h">
        <div class="container overflow-y-h">
            <div class="row my-4 ani" data-ani="fadeInUp">
                <div class="col-12"><img src="{{ resources_path() }}_img/solution/training/img01.jpg" alt=""></div>
            </div>
            <div class="row my-4 ani" data-ani="fadeInUp">
                <div class="col-12">
                    <div class="bg-primary2 py-5">
                        <div class="row">
                            <div class="col-11 mx-auto">
                                <div class="title ls-title fs-30 font-weight-bold text-primary mb-4">CNC編程課程的重要組成</div>
                                <div class="text">
                                    <ul class="dot-list line-height-1-8 text-c4">
                                        <li>・能夠讓使用者了解並使用最新和使用最廣泛的CAM技術</li>
                                        <li>・對增、減材加工的數控編程、銑削、車削和線切割的所有方法進行全方位的培訓</li>
                                        <li>・適用於獨立的CNC編程課程，或作為更廣泛的工程課程的一部分</li>
                                        <li>・全球數以萬計的商業公司使用的工業級解決方案</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row my-4 ani align-items-stretch"  data-ani="fadeInUp">
                <div class="col-lg-auto flex-fill">
                    <div class="bg-primary2 h-100 p-5">
                        <div class="title ls-title fs-30 font-weight-bold text-primary mb-4">講師資格</div>
                        <div class="text">
                            <ul class="dot-list line-height-1-8 text-c4">
                                <li>・7年以上的現場實務與教學經驗</li>
                                <li>・輔導業界廠商與專科大學</li>
                                <li>・以及台灣各區域職訓學校單位</li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-lg-auto">
                    <img src="{{ resources_path() }}_img/solution/training/img02.jpg" alt="" class="w-100">
                </div>
            </div>
            <div class="row my-4 ani" data-ani="fadeInUp">
                <div class="col-12"><img src="{{ resources_path() }}_img/solution/training/img03.jpg" alt=""></div>
            </div>
            <div class="row my-4 ani" data-ani="fadeInUp">
                <div class="col-12">
                    <div class="bg-primary2 py-5">
                        <div class="row">
                            <div class="col-11 mx-auto">
                                <div class="title ls-title fs-30 font-weight-bold text-primary mb-4">培訓內容</div>
                                <div class="text">
                                    <div class="line-height-1-8 text-c4 mb-5">
                                        ESPRIT客製化教育培訓適用於不同程度與需求的學員，除提供通識基礎課程外，並依客端產品量身訂製專案教材，縮短學員學習曲線，提升績效。
                                    </div>
                                    <ul class="dot-list line-height-1-8 text-c4">
                                        <li>・ESPRIT網路服務：透過Line諮詢、TeamViewer遠端服務、U會議直播</li>
                                        <li>・專業講師技術服務</li>
                                        <li>・發佈軟體更新</li>
                                        <li>・專案輔導(會員專屬)</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="training-more" class="py-5" style="background-image: url({{ resources_path() }}_img/solution/training/banner.jpg)">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12 text-white text-center ani" data-ani="bounceIn">
                    <div class="title fs-40 font-weight-bold mb-4">想了解更多嗎？</div>
                    <div class="sub-title fs-20">
                        立即與我們聯繫，更深入的了解我們ESPRIT團隊<br>
                        如何協助您提升生產(競爭)力。
                    </div>
                    <a href="{{ base_path() }}contact" class="btn btn-primary mt-5">聯絡我們</a>
                </div>
            </div>
        </div>
    </section>
</article>






@endsection