<?php

// 路由 - 只接受三個參數 0 => Http Method , 2 => 控制器@方法 , 3 => 中介層 (陣列 可多個)
// 路由路徑 - 帶入控制器方法的參數 請務必用 {} 包起來, 以搜尋 " /{ " 來判斷後面的全都是參數

return [
	// 登入/登出
	['admin'        => ['get', 'Admin\LoginController@index', ['admin.guest'] ] ],
	['admin'        => ['post', 'Admin\LoginController@login', ['admin.guest'] ] ],
	['admin/logout' => ['get', 'Admin\LoginController@logout'] ],

	// 首頁
	['admin/index' => ['get', 'Admin\IndexController@index', ['admin'] ] ],

	// 帳號管理
	['admin/account/upd_pw/{id}' => ['get', 'Admin\AccountController@show_upd_pw', ['admin'] ] ],
	['admin/account/upd_pw/{id}'  => ['patch', 'Admin\AccountController@upd_pw', ['admin'] ] ],

	// HTML 編輯器
	['admin/html-editor/manager'            => ['get', 'Admin\HtmlEditorManagerController@show', ['admin'] ] ],
	['admin/html-editor/manager/{class_id}' => ['get', 'Admin\HtmlEditorManagerController@show', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['post', 'Admin\HtmlEditorManagerController@add', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['patch', 'Admin\HtmlEditorManagerController@upd', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['delete', 'Admin\HtmlEditorManagerController@del', ['admin'] ] ],
		# 上傳圖片
	['admin/html-editor/image-upload'       => ['post', 'Admin\HtmlEditorManagerController@single_image_upload', ['admin'] ] ],
		# 多圖
	['admin/html-editor/ajax/pics/{pid}' => ['get', 'Admin\HtmlEditorManagerController@ajax_pics_get'] ],
	['admin/html-editor/ajax/pics/{pid}' => ['post', 'Admin\HtmlEditorManagerController@ajax_pics_upload'] ],
	['admin/html-editor/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\HtmlEditorManagerController@ajax_pics_upd'] ],
	['admin/html-editor/ajax/pics/{pid}/{id}' => ['delete', 'Admin\HtmlEditorManagerController@ajax_pics_del'] ],

	// Page (開發用)
	['admin/page'      => ['get', 'Admin\PageController@index', ['admin'] ] ],
	['admin/page/{id}' => ['get', 'Admin\PageController@edit', ['admin'] ] ],
	['admin/page/{id}' => ['post', 'Admin\PageController@add', ['admin'] ] ],
	['admin/page/{id}' => ['patch', 'Admin\PageController@upd', ['admin'] ] ],
	['admin/page/{id}' => ['delete', 'Admin\PageController@del', ['admin'] ] ],
		# 多圖
	['admin/page/ajax/pics/{pid}' => ['get', 'Admin\PageController@ajax_pics_get'] ],
	['admin/page/ajax/pics/{pid}' => ['post', 'Admin\PageController@ajax_pics_upload'] ],
	['admin/page/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\PageController@ajax_pics_upd'] ],
	['admin/page/ajax/pics/{pid}/{id}' => ['delete', 'Admin\PageController@ajax_pics_del'] ],
		# 多檔
	['admin/page/ajax/files/{pid}' => ['get', 'Admin\PageController@ajax_files_get'] ],
	['admin/page/ajax/files/{pid}' => ['post', 'Admin\PageController@ajax_files_upload'] ],
	['admin/page/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\PageController@ajax_files_upd'] ],
	['admin/page/ajax/files/{pid}/{id}' => ['delete', 'Admin\PageController@ajax_files_del'] ],

	// SEO
		# 分類
	['admin/seo_class/{class_id}'      => ['get', 'Admin\SeoClassController@index', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['get', 'Admin\SeoClassController@edit', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['post', 'Admin\SeoClassController@add', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['patch', 'Admin\SeoClassController@upd', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['delete', 'Admin\SeoClassController@del', ['admin'] ] ],
	['admin/seo_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\SeoClassController@ajax_upd'] ],
		# 商品
	['admin/seo/{class_id}'      => ['get', 'Admin\SeoController@index', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['get', 'Admin\SeoController@edit', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['post', 'Admin\SeoController@add', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['patch', 'Admin\SeoController@upd', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['delete', 'Admin\SeoController@del', ['admin'] ] ],

	// Banner
	['admin/banner'      => ['get', 'Admin\BannerController@index', ['admin'] ] ],
	['admin/banner/{id}' => ['get', 'Admin\BannerController@edit', ['admin'] ] ],
	['admin/banner/{id}' => ['post', 'Admin\BannerController@add', ['admin'] ] ],
	['admin/banner/{id}' => ['patch', 'Admin\BannerController@upd', ['admin'] ] ],
	['admin/banner/{id}' => ['delete', 'Admin\BannerController@del', ['admin'] ] ],
	['admin/banner/ajax/upd/{id}/{column}' => ['patch', 'Admin\BannerController@ajax_upd'] ],

	// 合作夥伴
	['admin/partner'      => ['get', 'Admin\PartnerController@index', ['admin'] ] ],
	['admin/partner/{id}' => ['get', 'Admin\PartnerController@edit', ['admin'] ] ],
	['admin/partner/{id}' => ['post', 'Admin\PartnerController@add', ['admin'] ] ],
	['admin/partner/{id}' => ['patch', 'Admin\PartnerController@upd', ['admin'] ] ],
	['admin/partner/{id}' => ['delete', 'Admin\PartnerController@del', ['admin'] ] ],
	['admin/partner/ajax/upd/{id}/{column}' => ['patch', 'Admin\PartnerController@ajax_upd'] ],	

	// 教育&職訓單位
		# 分類
	['admin/academic_class/{class_id}'      => ['get', 'Admin\AcademicClassController@index', ['admin'] ] ],
	['admin/academic_class/{class_id}/{id}' => ['get', 'Admin\AcademicClassController@edit', ['admin'] ] ],
	['admin/academic_class/{class_id}/{id}' => ['post', 'Admin\AcademicClassController@add', ['admin'] ] ],
	['admin/academic_class/{class_id}/{id}' => ['patch', 'Admin\AcademicClassController@upd', ['admin'] ] ],
	['admin/academic_class/{class_id}/{id}' => ['delete', 'Admin\AcademicClassController@del', ['admin'] ] ],
	['admin/academic_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\AcademicClassController@ajax_upd'] ],
		# 商品
	['admin/academic/{class_id}'      => ['get', 'Admin\AcademicController@index', ['admin'] ] ],
	['admin/academic/{class_id}/{id}' => ['get', 'Admin\AcademicController@edit', ['admin'] ] ],
	['admin/academic/{class_id}/{id}' => ['post', 'Admin\AcademicController@add', ['admin'] ] ],
	['admin/academic/{class_id}/{id}' => ['patch', 'Admin\AcademicController@upd', ['admin'] ] ],
	['admin/academic/{class_id}/{id}' => ['delete', 'Admin\AcademicController@del', ['admin'] ] ],
	['admin/academic/ajax/upd/{id}/{column}' => ['patch', 'Admin\AcademicController@ajax_upd'] ],
		# 多圖
	['admin/academic/ajax/pics/{pid}' => ['get', 'Admin\AcademicController@ajax_pics_get'] ],
	['admin/academic/ajax/pics/{pid}' => ['post', 'Admin\AcademicController@ajax_pics_upload'] ],
	['admin/academic/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\AcademicController@ajax_pics_upd'] ],
	['admin/academic/ajax/pics/{pid}/{id}' => ['delete', 'Admin\AcademicController@ajax_pics_del'] ],
		# 多檔
	['admin/academic/ajax/files/{pid}' => ['get', 'Admin\AcademicController@ajax_files_get'] ],
	['admin/academic/ajax/files/{pid}' => ['post', 'Admin\AcademicController@ajax_files_upload'] ],
	['admin/academic/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\AcademicController@ajax_files_upd'] ],
	['admin/academic/ajax/files/{pid}/{id}' => ['delete', 'Admin\AcademicController@ajax_files_del'] ],

	// 學術分享
		# 分類
	['admin/technology_class/{class_id}'      => ['get', 'Admin\TechnologyClassController@index', ['admin'] ] ],
	['admin/technology_class/{class_id}/{id}' => ['get', 'Admin\TechnologyClassController@edit', ['admin'] ] ],
	['admin/technology_class/{class_id}/{id}' => ['post', 'Admin\TechnologyClassController@add', ['admin'] ] ],
	['admin/technology_class/{class_id}/{id}' => ['patch', 'Admin\TechnologyClassController@upd', ['admin'] ] ],
	['admin/technology_class/{class_id}/{id}' => ['delete', 'Admin\TechnologyClassController@del', ['admin'] ] ],
	['admin/technology_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\TechnologyClassController@ajax_upd'] ],
		# 商品
	['admin/technology/{class_id}'      => ['get', 'Admin\TechnologyController@index', ['admin'] ] ],
	['admin/technology/{class_id}/{id}' => ['get', 'Admin\TechnologyController@edit', ['admin'] ] ],
	['admin/technology/{class_id}/{id}' => ['post', 'Admin\TechnologyController@add', ['admin'] ] ],
	['admin/technology/{class_id}/{id}' => ['patch', 'Admin\TechnologyController@upd', ['admin'] ] ],
	['admin/technology/{class_id}/{id}' => ['delete', 'Admin\TechnologyController@del', ['admin'] ] ],
	['admin/technology/ajax/upd/{id}/{column}' => ['patch', 'Admin\TechnologyController@ajax_upd'] ],
		# 多圖
	['admin/technology/ajax/pics/{pid}' => ['get', 'Admin\TechnologyController@ajax_pics_get'] ],
	['admin/technology/ajax/pics/{pid}' => ['post', 'Admin\TechnologyController@ajax_pics_upload'] ],
	['admin/technology/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\TechnologyController@ajax_pics_upd'] ],
	['admin/technology/ajax/pics/{pid}/{id}' => ['delete', 'Admin\TechnologyController@ajax_pics_del'] ],
		# 多檔
	['admin/technology/ajax/files/{pid}' => ['get', 'Admin\TechnologyController@ajax_files_get'] ],
	['admin/technology/ajax/files/{pid}' => ['post', 'Admin\TechnologyController@ajax_files_upload'] ],
	['admin/technology/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\TechnologyController@ajax_files_upd'] ],
	['admin/technology/ajax/files/{pid}/{id}' => ['delete', 'Admin\TechnologyController@ajax_files_del'] ],	

	// 最新消息
		# 分類
	['admin/news_class/{class_id}'      => ['get', 'Admin\NewsClassController@index', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['get', 'Admin\NewsClassController@edit', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['post', 'Admin\NewsClassController@add', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['patch', 'Admin\NewsClassController@upd', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['delete', 'Admin\NewsClassController@del', ['admin'] ] ],
	['admin/news_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\NewsClassController@ajax_upd'] ],
		# 商品
	['admin/news/{class_id}'      => ['get', 'Admin\NewsController@index', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['get', 'Admin\NewsController@edit', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['post', 'Admin\NewsController@add', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['patch', 'Admin\NewsController@upd', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['delete', 'Admin\NewsController@del', ['admin'] ] ],
	['admin/news/ajax/upd/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_upd'] ],
		# 多圖
	['admin/news/ajax/pics/{pid}' => ['get', 'Admin\NewsController@ajax_pics_get'] ],
	['admin/news/ajax/pics/{pid}' => ['post', 'Admin\NewsController@ajax_pics_upload'] ],
	['admin/news/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_pics_upd'] ],
	['admin/news/ajax/pics/{pid}/{id}' => ['delete', 'Admin\NewsController@ajax_pics_del'] ],
		# 多檔
	['admin/news/ajax/files/{pid}' => ['get', 'Admin\NewsController@ajax_files_get'] ],
	['admin/news/ajax/files/{pid}' => ['post', 'Admin\NewsController@ajax_files_upload'] ],
	['admin/news/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_files_upd'] ],
	['admin/news/ajax/files/{pid}/{id}' => ['delete', 'Admin\NewsController@ajax_files_del'] ],
 

	// 聯絡我們
	['admin/contact'      => ['get', 'Admin\ContactController@index', ['admin'] ] ],
	['admin/contact/{id}' => ['get', 'Admin\ContactController@edit', ['admin'] ] ],
	// ['admin/contact/{id}' => ['post', 'Admin\ContactController@add', ['admin'] ] ],
	['admin/contact/{id}' => ['patch', 'Admin\ContactController@upd', ['admin'] ] ],
	['admin/contact/{id}' => ['delete', 'Admin\ContactController@del', ['admin'] ] ],

	# 詢問項目
	['admin/contact/subject'      => ['get', 'Admin\ContactSubjectController@index', ['admin'] ] ],
	['admin/contact/subject/{id}' => ['get', 'Admin\ContactSubjectController@edit', ['admin'] ] ],
	['admin/contact/subject/{id}' => ['post', 'Admin\ContactSubjectController@add', ['admin'] ] ],
	['admin/contact/subject/{id}' => ['patch', 'Admin\ContactSubjectController@upd', ['admin'] ] ],
	['admin/contact/subject/{id}' => ['delete', 'Admin\ContactSubjectController@del', ['admin'] ] ],


	// 會員管理
	['admin/member'                => ['get', 'Admin\MemberController@index', ['admin'] ] ],
	['admin/member/{id}'           => ['get', 'Admin\MemberController@edit', ['admin'] ] ],
	['admin/member/{id}'           => ['post', 'Admin\MemberController@add', ['admin'] ] ],
	['admin/member/{id}'           => ['patch', 'Admin\MemberController@upd', ['admin'] ] ],
	['admin/member/{id}'           => ['delete', 'Admin\MemberController@del', ['admin'] ] ],
	['admin/member/upd_pw/{id}'    => ['get', 'Admin\MemberController@show_upd_pw', ['admin'] ] ],
	['admin/member/upd_pw/{id}'    => ['patch', 'Admin\MemberController@upd_pw', ['admin'] ] ],
	['admin/member/excel/{action}' => ['any', 'Admin\MemberController@excel', ['admin'] ] ],
	['admin/member/ajax/upd/{id}/{column}'  => ['patch', 'Admin\MemberController@ajax_upd', ['admin'] ] ],

	// 影片下載
		# 分類
	['admin/member_video_class/{class_id}'      => ['get', 'Admin\MemberVideoClassController@index', ['admin'] ] ],
	['admin/member_video_class/{class_id}/{id}' => ['get', 'Admin\MemberVideoClassController@edit', ['admin'] ] ],
	['admin/member_video_class/{class_id}/{id}' => ['post', 'Admin\MemberVideoClassController@add', ['admin'] ] ],
	['admin/member_video_class/{class_id}/{id}' => ['patch', 'Admin\MemberVideoClassController@upd', ['admin'] ] ],
	['admin/member_video_class/{class_id}/{id}' => ['delete', 'Admin\MemberVideoClassController@del', ['admin'] ] ],
	['admin/member_video_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\MemberVideoClassController@ajax_upd'] ],
		# 商品
	['admin/member_video/{class_id}'      => ['get', 'Admin\MemberVideoController@index', ['admin'] ] ],
	['admin/member_video/{class_id}/{id}' => ['get', 'Admin\MemberVideoController@edit', ['admin'] ] ],
	['admin/member_video/{class_id}/{id}' => ['post', 'Admin\MemberVideoController@add', ['admin'] ] ],
	['admin/member_video/{class_id}/{id}' => ['patch', 'Admin\MemberVideoController@upd', ['admin'] ] ],
	['admin/member_video/{class_id}/{id}' => ['delete', 'Admin\MemberVideoController@del', ['admin'] ] ],
	['admin/member_video/ajax/upd/{id}/{column}' => ['patch', 'Admin\MemberVideoController@ajax_upd'] ],

];