<?php

// 路由 - 只接受三個參數 0 => Http Method , 2 => 控制器@方法 , 3 => 中介層 (陣列 可多個)
// 路由路徑 - 帶入控制器方法的參數 請務必用 {} 包起來, 以搜尋 " /{ " 來判斷後面的全都是參數

return [
 	// 會員
	['member/login'            => ['get', 'Member\LoginController@index', ['member.guest'] ] ],
	['member/login'            => ['post', 'Member\LoginController@login', ['member.guest'] ] ],
	['member/login-api/{name}' => ['get', 'Member\LoginController@login_api', ['member.guest'] ] ],
	['member/login-api/{name}' => ['post', 'Member\LoginController@login_api', ['member.guest'] ] ],
	['member/logout'           => ['get', 'Member\LoginController@logout'] ],
	['member/register'         => ['get', 'Member\RegisterController@index', ['member.guest'] ] ],
	['member/register'         => ['post', 'Member\RegisterController@register', ['member.guest'] ] ],
	['member/register-fb'      => ['get', 'Member\RegisterController@register_fb', ['member.guest'] ] ],
	['member/register-google'  => ['get', 'Member\RegisterController@register_google', ['member.guest'] ] ],
	['member/register-line'    => ['get', 'Member\RegisterController@register_line', ['member.guest'] ] ],
	['member/forget'           => ['get', 'Member\ForgetPasswordController@index', ['member.guest'] ] ],
	['member/forget'           => ['post', 'Member\ForgetPasswordController@send_mail', ['member.guest'] ] ],

	['member'          => ['get', 'Member\DataController@index', ['member'] ] ],
	['member/index'    => ['get', 'Member\DataController@index', ['member'] ] ],
	['member/data'     => ['get', 'Member\DataController@index', ['member'] ] ],
	['member/data'     => ['patch', 'Member\DataController@upd', ['member'] ] ],
	['member/password' => ['get', 'Member\DataController@show_upd_pw', ['member'] ] ],
	['member/password' => ['patch', 'Member\DataController@upd_pw', ['member'] ] ],

	// 影音專區
	['member/video'      => ['get', 'Member\VideoController@index'] , ['member'] ],
	['member/ajax/video'      => ['post', 'Member\VideoController@check_password'] , ['member'] ],


	// ['member/order'                   => ['get', 'Member\DataController@show_order', ['member'] ] ],
	// ['member/order/{oid}/{back_code}' => ['get', 'Member\DataController@show_order_detail', ['member'] ] ],
	// ['member/order/payment/{oid}' => ['get', 'Member\DataController@member_order_payment', ['member'] ] ],
	// ['member/order/cancel/{oid}' => ['patch', 'Member\DataController@member_order_cancel_process', ['member'] ] ],

	// ['member/point' => ['get', 'Member\PointController@list', ['member'] ] ],

	// ['member/favorite'   => ['get', 'Member\DataController@show_favorite', ['member'] ] ],
	// ['member/ajax/favor' => ['get', 'Member\AjaxController@favor_get'] ],
	// ['member/ajax/favor' => ['post', 'Member\AjaxController@favor_add'] ],
	// ['member/ajax/favor' => ['delete', 'Member\AjaxController@favor_del'] ],
];